<?php
/*
CaLogic
Copyright (c) Philip Boone.
philip@calogic.de



ALTER TABLE `clc_setup` CHANGE `calogic_version` `calogicversion` VARCHAR( 15 ) DEFAULT '1.1.0' NOT NULL  




*/

//asdbg_break();

ini_set("error_reporting","E_COMPILE_ERROR|E_ERROR|E_CORE_ERROR|E_CORE_WARNING|E_PARSE");

$calogicversion = "1.1.0";
$errep = "<br><br>Version Info<br><br>CaLogic: ".$calogicversion."<br><br>MySQL: ".mysql_get_client_info()."<br><br>PHP: ".PHP_VERSION."<br><br><br>Please send this information to me, Philip Boone, so that I may correct this error.<br>My adress is philip@calogic.de, thank you";

$rent = strftime("%y%m%d%H%M%S");
$ndblname = "";
$nbdsname = "";

$servertzos = ((date("Z") / 60) / 60);
if($servertzos > 0) {
    $servertzos = "+$servertzos";
} elseif($servertzos < 0) {
    $servertzos = "$servertzos";
}

$rootpath = str_replace("\\","/",getcwd());
$pathlen = strlen($rootpath);
$setpath = substr($rootpath,0,$pathlen-5);
$incpath = substr($rootpath,0,$pathlen-5);

$tdir = substr(dirname($_SERVER['PHP_SELF']),1);
$tdir = substr($tdir,0,strlen($tdir)-5);

#if(strpos($tdir,"/") > 0) {
#    $tdir = substr($tdir,0,strpos($tdir,"/"));
#} elseif(strlen($tdir) > 0) {
#    $tdir.="/";
#}    

$wroot = $_SERVER['HTTP_HOST']."/";
$wprogdir = $tdir;

$setpath .= "admin/settings.php";
$incpath .= "include/";


$havedbloader = false;
$havesettings = false;

include("../include/setuptab.php");

setup_head();

switch ($setup_step) {

	case "1":
# create database loader, settings and test....
        checkfordbloader();
        checkforsettings($fields["databasepath"]);
        
        makefiles();
        
        if($fields["makedatabase"] == 1) {

            mysql_connect($fields["databasehost"], $fields["databaseuser"], $fields["databasepass"]);
            $sqlstr = "CREATE DATABASE ".$fields["databasename"];
            $result = mysql_query($sqlstr) or die("Could not create Database.<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
# check results
            
        }
        include("../include/dbloader.php");

        if($fields["maketable"] == 1) {
        
#        	mysql_connect($fields["databasehost"], $fields["databaseuser"], $fields["databasepass"]);

            $sqlstr = "DROP TABLE IF EXISTS ".$tabpre."_setup";
            mysql_query($sqlstr) or die("Database setup error.<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);


            $sqlstr = "CREATE TABLE ".$tabpre."_setup (";
            
for($x=0;$x<$fieldcnt;$x++) {
    if($setuptab[$x][1] != "tabhead") {
        $sqlstr .= $setuptab[$x][1]." ".$setuptab[$x][2].",";
    }
}
$sqlstr .= "calogicversion varchar(15) NOT NULL default '1.1.0'
) TYPE=MyISAM COMMENT='CaLogic Setup Table';";

/*

              siteowner varchar(100) NOT NULL default '',
              email varchar(100) NOT NULL default '',
              sitetitle varchar(100) NOT NULL default '',
              baseurl varchar(100) NOT NULL default '',
              progdir varchar(100) NOT NULL default '',
              standardlangid int(11) NOT NULL default '0',
              standardlangname varchar(20) NOT NULL default '',
              sitetype tinyint(4) NOT NULL default '0',
              publicview tinyint(4) NOT NULL default '1',
              usercustom tinyint(4) NOT NULL default '1',
              mailtype varchar(8) NOT NULL default 'sendmail',
              mailformat tinyint(4) NOT NULL default '0',
              formtype varchar(4) NOT NULL default 'post',
              uniem tinyint(4) NOT NULL default '1',
              sadmmail tinyint(4) NOT NULL default '0',
              headpic varchar(100) NOT NULL default ' ',
              footpic varchar(100) NOT NULL default ' ',
              adsid tinyint(4) NOT NULL default '0',
              seiyv tinyint(4) NOT NULL default '1',
              withesb tinyint(4) NOT NULL default '1',
              withwvesb tinyint(4) NOT NULL default '1',
              withdvesb tinyint(4) NOT NULL default '0',
              showomd tinyint(4) NOT NULL default '1',
              showwvtime tinyint(4) NOT NULL default '1',
              showdvtime tinyint(4) NOT NULL default '1',
              demomode tinyint(4) NOT NULL default '0',
              standardbgimg varchar(100) NOT NULL default '',
              servertzos tinyint(4) NOT NULL default '0',
              allowopen tinyint(4) NOT NULL default '0',
              allowpublic tinyint(4) NOT NULL default '0',
              allowprivate tinyint(4) NOT NULL default '0',
              allowreminders tinyint(4) NOT NULL default '0',
              calogic_version varchar(15) NOT NULL default '1.1.0'          
            ) TYPE=MyISAM COMMENT='CaLogic Setup Table'";
*/

            mysql_query($sqlstr) or die("Could not create database table.<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
        
            include("calogic_mysql_1.0.4a.php");
            include("calogic_lang_english.php");
            include("calogic_mysql_color.php");
            

        }
        print "<br><br>Step 1 finished.<br><br>Click Next to continue<br><br>";

        print "<form method=\"post\" name=\"calnext\" id=\"calnext\" action=\"setup.php\">";
        print "<input type=\"hidden\" name=\"setup_step\" value=\"2\">";
        print "<input type=\"submit\" name=\"nextstep\" id=\"nextstep\" value=\"Next\"><br><br>";
        print "</form>";
		break;
	case "2":
# 	
        include("../include/dbloader.php");
        setup_calg();
		break;
	case "3":
        include("../include/dbloader.php");
        setup_step3();
        
        print "<br><br>Setup finished.<br><br><a href=\"".$fields["baseurl"].$fields["progdir"].$GLOBALS["idxfile"]."\">Click here to start CaLogic!</a><br><br>";
        
		break;

	case "4":
		break;
	default:
        setup_database();
}

setup_foot();

#print "<br><br>";
#print $rootpath."<br>";
#print $pathlen."<br>";
#print $modpath."<br>";

exit();

function checkfordbloader() {
    if (file_exists($GLOBALS["incpath"]."dbloader.php") ) {
        $dblrename = rename($GLOBALS["incpath"]."dbloader.php",$GLOBALS["incpath"]."dbloader".$GLOBALS["rent"].".php");
#        $GLOBALS["havedbloader"] = true;
        if($dblrename == false) {
            print "Could not rename dbloader.php<br><br>";
        } else {
            $GLOBALS["ndblname"] = "dbloader".$GLOBALS["rent"].".php";
            print "dbloader.php file exists, renaming to: ".$GLOBALS["ndblname"]."<br><br>";
        }
    }
}

function checkforsettings($pathname) {
#    if (file_exists($GLOBALS["setpath"]."settings.php") ) {
    if (file_exists($pathname) ) {
#        $GLOBALS["havesettings"] = true;
        $sfilen = basename($pathname);
        $dbsrename = rename($pathname,$pathname.$GLOBALS["rent"].".php");
        if($dbsrename == false) {
            print "Could not rename ".$sfilen."<br><br>";
        } else {
            $sfileno = basename($pathname.$GLOBALS["rent"].".php");
            $GLOBALS["ndbsname"] = $sfileno;
            print $sfilen." file exists, renaming to: ".$GLOBALS["ndbsname"]."<br><br>";
        }
    }
}


function makefiles() {

global $fields;

#if(substr(strrev(rtrim($fields["databasepath"])),0,1) != "/") {
#    $fields["databasepath"] .= "/";
#}
    if (file_exists($GLOBALS["incpath"]."dbloader.php") ) {
        print "dbloader.php already exists!<br><br>Cannot continue with setup.";
        setup_foot();
        exit();
    } else {
    print "Creating dbloader.php<br><br>";

	$content = "<"."?php
    
// ------------------------------------------------------------------------- //
//                CaLogic Database Loader File                               //
// ------------------------------------------------------------------------- //


include(\"".$fields["databasepath"]."\");
\$setfvar = \"".$fields["databasepath"]."\";

mysql_connect(\"\$dbhost\",\"\$dbuser\",\"\$dbpass\") OR DIE(\"Couldn`t connect to MySQL server in the DBLOADER!\");
mysql_select_db(\"\$dbname\") OR DIE(\"Couldn`t connect database in the DBLOADER!\");

?".">";

    	if ( !$file = fopen($GLOBALS["incpath"]."dbloader.php","w") ) {
    		print "could not create dbloader.php Make sure that the include folder is writable durring the setup process.";
    		setup_foot();
    		exit();
    	}
    	if ( fwrite($file,$content) == -1 ) {
    		print "could not write to dbloader.php Make sure that the include folder is writable durring the setup process.";
    		fclose($file);
    		setup_foot();
    		exit();
    	}
    	fclose($file);

    }
    
    if (file_exists($fields["databasepath"]) ) {
        $sfname = basename($fields["databasepath"]);
        print $sfname." file already exists!<br><br>Cannot continue with setup.";
        setup_foot();
        exit();
    } else {
    $sfname = basename($fields["databasepath"]);
    print "Creating ".$sfname."<br><br>";

	$content = "<"."?php
    
// ------------------------------------------------------------------------- //
//                CaLogic Database Settings File                             //
// ------------------------------------------------------------------------- //


// Database host
\$dbhost = \"".$fields["databasehost"]."\"; 
// Database user
\$dbuser = \"".$fields["databaseuser"]."\"; 
// Database pass
\$dbpass = \"".$fields["databasepass"]."\";
// Database name
\$dbname = \"".$fields["databasename"]."\"; 

// table prefix
\$tabpre = \"".$fields["databaseprefix"]."\"; 

// index file
\$idxfile = \"".$fields["startfile"]."\";

?".">";

#    	if ( !$file = fopen($fields["databasepath"]."settings.php","w") ) {
    	if ( !$file = fopen($fields["databasepath"],"w") ) {
    		print "could not create settings file. Make sure that the admin folder is writable durring the setup process.";
    		setup_foot();
    		exit();
    	}
    	if ( fwrite($file,$content) == -1 ) {
    		print "could not write to settings file. Make sure that the admin folder is writable durring the setup process.";
    		fclose($file);
    		setup_foot();
    		exit();
    	}
    	fclose($file);

    }
}


if(isset($submitsetupnow)) {
    print "<br><b>You may now start CaLogic!</b><br>";
}


function checkforsetuptab() {

    $have_cl_setup_tab = false;

    $setup_tab = $tabpre."_setup";
    
    $ck_tabres = mysql_list_tables($dbname);
    
    for ($i = 0; $i < mysql_num_rows($ck_tabres); $i++) {
        $tb_names[$i] = mysql_tablename($ck_tabres, $i);
        
        if($tb_names[$i] == $setup_tab) {
            $have_cl_setup_tab = true;
        }
    }
}

function setup_head() {

    ?>

    <html>
    <head>
    <title>CaLogic Calendars Setup</title>
    
    <SCRIPT ID=clientEventHandlersJS LANGUAGE=javascript>
    <!--

    var ferr = false;
    
    function caldbsetup_onsubmit() {
    	caldbsetup.databasepath.value = trim(caldbsetup.databasepath.value);
    	caldbsetup.databasehost.value = trim(caldbsetup.databasehost.value);
    	caldbsetup.databasename.value = trim(caldbsetup.databasename.value);
    	caldbsetup.databaseuser.value = trim(caldbsetup.databaseuser.value);
    	caldbsetup.databaseprefix.value = trim(caldbsetup.databaseprefix.value);
    	caldbsetup.startfile.value = trim(caldbsetup.startfile.value);

        if(caldbsetup.databasepath.value == "") {
            alert("The Path cannot be blank!");
            ferr = true;
        } 
        if(caldbsetup.databasehost.value == "") {
            alert("The Host cannot be blank!");
            ferr = true;
        } 
        if(caldbsetup.databasename.value == "") {
            alert("The Database Name cannot be blank!");
            ferr = true;
        } 
        if(caldbsetup.databaseuser.value == "") {
            alert("The User cannot be blank!");
            ferr = true;
        } 
        if(caldbsetup.databaseprefix.value == "") {
            alert("The Prefix cannot be blank!");
            ferr = true;
        } 
        if(caldbsetup.startfile.value == "") {
            alert("The Start File cannot be blank!");
            ferr = true;
        } 
        if(ferr==true) {
            return false;
        } else {
            return true;
        }
    }
    
    function calgsetup_onsubmit() {
    	calgsetup.siteowner.value = trim(calgsetup.siteowner.value);
    	calgsetup.adminemail.value = trim(calgsetup.adminemail.value);
    	calgsetup.baseurl.value = trim(calgsetup.baseurl.value);
    	calgsetup.adminname.value = trim(calgsetup.adminname.value);
    	calgsetup.adminpass.value = trim(calgsetup.adminpass.value);
        if(calgsetup.siteowner.value == "") {
            alert("You must enter a Site Owner Name!");
            return false;
        } 
        if(calgsetup.adminemail.value == "") {
            alert("You must enter an Admin Email!");
            return false;
        } 

        if(calgsetup.adminname.value == "") {
            alert("You must enter an Admin User Name!");
            return false;
        } 

        if(calgsetup.adminpass.value == "") {
            alert("You must enter an Admin Password!");
            return false;
        } 

        if(calgsetup.baseurl.value == "") {
            alert("You must enter base URL!");
            return false;
        } 
        if(calgsetup.allowopen.value == 0 && calgsetup.allowpublic.value == 0 && calgsetup.allowprivate.value == 0) {
            alert("At least one type of Calendar must be enabled!");
            return false;
        } 
        if(calgsetup.allowdv.value == 0 && calgsetup.allowwv.value == 0 && calgsetup.allowmv.value == 0 && calgsetup.allowyv.value == 0) {
            alert("At least one type of View must be enabled!");
            return false;
        } 
        return true;
    }
    
    
    function trim(value) {
     startpos=0;
     while((value.charAt(startpos)==" ")&&(startpos<value.length)) {
       startpos++;
     }
     if(startpos==value.length) {
       value="";
     } else {
       value=value.substring(startpos,value.length);
       endpos=(value.length)-1;
       while(value.charAt(endpos)==" ") {
         endpos--;
       }
       value=value.substring(0,endpos+1);
     }
     return(value);
    }

    function skipstep1_onclick() {
        caldbsetup.setup_step.value = 2;
        caldbsetup.submit();
    }
    
    //-->
    </SCRIPT>

    </head>
    
    <body background="<?php print "../img/stonbk.jpg"; ?>">
    <h1>CaLogic Calendars - First Time Setup</h1>

<?php

#if($GLOBALS["havedbloader"] == true ) {
#    print "dbloader exists<br>";
#} else {
#    print "dbloader does not exist<br>";
#}

#if($GLOBALS["havesettings"] == true ) {
#    print "settings exists<br>";
#} else {
#    print "settings does not exist<br>";
#}

}

function setup_foot() {

    // Please do not remove this information
    // I worked a lot of long hard hours on this program
    // give credit where credit is due.
    print "<center>";
    print "<table border=\"0\" width=\"50%\">\n";
    print "<tr>\n";
    print "<td width=\"33%\" align=\"center\">";
    print "<A class=\"gcprevlink\" target=\"_blank\" href=\"http://sourceforge.net \">
    <IMG src=\"../img/sf_logo.bmp\" width=\"125\" height=\"37\" border=\"0\" alt=\"SourceForge Logo\"></A>";
    print "<td width=\"33%\" align=\"center\" nowrap>
    <a title=\"Visit the Home of CaLogic!\" target=\"_blank\" class=\"gcprevlink\" href=\"http://www.calogic.de \">
    <font size=\"-1\">CaLogic Calendars V".$GLOBALS["calogicversion"]."</font></a><br>
    <a title=\"EMail the author!\" target=\"_blank\" class=\"gcprevlink\" href=\"mailto:philip@calogic.de\">
    <font size=\"-1\">&#xA9; Philip Boone</font></a></td>\n";
    print "<td width=\"34%\" align=\"center\">
    <a target=\"_blank\" class=\"gcprevlink\" href=\"http://www.mysql.com \">
    <img border=\"1\" width=\"125\" height=\"37\" src=\"../img/mysql_logo.png\" alt=\"MySQL Logo\"></a></td>\n";
    print "</tr>\n";
    print "</table>\n";
    print "<a target=\"_blank\" class=\"gcprevlink\" href=\"http://www.php.net \">
    <img border=\"1\" src=\"../img/php_logo2.gif\" alt=\"PHP Logo\"></a></td>\n";
    print "</center></body>\n";
    print "</html>\n";
    
#    exit();
}

function setup_step3() {

global $fields,$tabpre,$calogicversion;
global $setuptab,$fieldcnt;


        $sqlstr = "delete from ".$tabpre."_setup";
        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
        $sqlstr = "INSERT INTO ".$tabpre."_setup VALUES (";

for($x=0;$x<$fieldcnt;$x++) {
    if($setuptab[$x][1] != "tabhead") {
        if($setuptab[$x][7] > 0) {
            $sqlstr .= "'".$setuptab[$x][8]."',";
        } else {
            $sqlstr .= "'".$fields[$setuptab[$x][1]]."',";
        }
    }
}
$sqlstr .= "'".$calogicversion."')";
/*

        '".$fields["siteowner"]."', 
        '".$fields["adminemail"]."',
        '".$fields["sitetitle"]."',
        '".$fields["baseurl"]."',
        '".$fields["progdir"]."', 
        1, 'English',
        ".$fields["sitetype"].",
        ".$fields["publicview"].",
        ".$fields["usercustom"].",
        '".$fields["mailtype"]."',
        ".$fields["mailformat"].",
        '".$fields["formtype"]."',
        ".$fields["uniem"].", 
        ".$fields["sadmmail"].",
        '".$fields["headpic"]."',
        '".$fields["footpic"]."',
        ".$fields["adsid"].",
        1,
        ".$fields["withesb"].",
        ".$fields["withwvesb"].",
        ".$fields["withdvesb"].",
        ".$fields["showomd"].",
        ".$fields["showwvtime"].",
        ".$fields["showdvtime"].",
        ".$fields["demomode"].", 
        '".$fields["standardbgimg"]."',
        0,
        ".$fields["allowopen"].",
        ".$fields["allowpublic"].", 
        ".$fields["allowprivate"].",
        ".$fields["allowreminders"].",
        '".$calogicversion."')";
*/

        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
        
        // --------------------------------------------------------
        
    # determine calogic version if updating

    
    $chars = array( 
     "a","A","b","B","c","C","d","D","e","E","f","F","g","G","h","H","i","I","j","J",
     "k","K","l","L","m","M","n","N","o","O","p","P","q","Q","r","R","s","S","t","T",
     "u","U","v","V","w","W","x","X","y","Y","z","Z","1","2","3","4","5","6","7","8",
     "9","0"
     );
     
    $max_elements = count($chars) - 1;
    srand((double)microtime()*1000000);
    $newpw = $chars[rand(0,$max_elements)];
    $newpw .= $chars[rand(0,$max_elements)];
    $newpw .= $chars[rand(0,$max_elements)];  
    $newpw .= $chars[rand(0,$max_elements)]; 
    $newpw .= $chars[rand(0,$max_elements)]; 
    $newpw .= $chars[rand(0,$max_elements)]; 
    $newpw .= $chars[rand(0,$max_elements)]; 
    $newpw .= $chars[rand(0,$max_elements)];
    $newpw_enc = md5($newpw);
    
    // Don't ask...
    $key = md5(md5(md5($newpw_enc)));
    
    $regtime = time();
    
#    $xmdpw = md5($fields["adminpass"]); 
    
    $xmdpw = md5("admin"); 

    $istfadmin = 1;
    
#    $sqlstr = "delete from ".$tabpre."_user_reg where uname = '".$fields["adminname"]."'";
    $sqlstr = "delete from ".$tabpre."_user_reg where uname = 'admin'";
    mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);

    $sqlstr = "insert into ".$tabpre."_user_reg (uname,fname,lname,email,pw,emok,langid,language,regtime,regkey,isadmin) 
    values('admin','','','".$fields["email"]."','$xmdpw',1,1,'English',$regtime,'$key',$istfadmin)";
    mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
    
    if($fields["publicview"] == 1){
        
        srand((double)microtime()*1000000);
        $newpw = $chars[rand(0,$max_elements)];
        $newpw .= $chars[rand(0,$max_elements)];
        $newpw .= $chars[rand(0,$max_elements)];  
        $newpw .= $chars[rand(0,$max_elements)]; 
        $newpw .= $chars[rand(0,$max_elements)]; 
        $newpw .= $chars[rand(0,$max_elements)]; 
        $newpw .= $chars[rand(0,$max_elements)]; 
        $newpw .= $chars[rand(0,$max_elements)];
        $newpw_enc = md5($newpw);
        
        // Don't ask...
        $key = md5(md5(md5($newpw_enc)));
        
        $regtime = time();
        
        $xmdpw = md5("Guest"); 
        
        $istfadmin = 0;
        
        $sqlstr = "insert into ".$tabpre."_user_reg (uname,fname,lname,email,pw,emok,langid,language,startcalid,startcalname,tzos,regtime,regkey,isadmin) 
        values('Guest','Guest','Guest','guest@dummy.com','$xmdpw',1,1,'English',-1,'Public',0,$regtime,'$key',$istfadmin)";
        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
    
        $sqlstr = "INSERT INTO ".$tabpre."_cal_ini VALUES (2,'-1', 'Public', 2, 'Public', 'Public', 0, 1, 'Month', 1, 1, '0600', '1800', 1, './img/stonbk.jpg', '#0000FF', '', 'underline', '#0000FF', '', 'underline', '#0000FF', 'underline', '#FFFF80', '#000000', '#B04040', '#FFFFFF', 'none', '#FFFFFF', '#FF0000', '#80FFFF', '#0000FF', '#FFFF80', '#000000', '#C0C0C0', 'none', '#C0C0C0', '#000000', '#808080', 'none', '#808080', '#0000FF', '#FFFF80', 'none', '#FFFF80', '#000000', '#FFFFFF', 'none', '#FFFFFF', 'Lightpink', '#000000', '#000000', '#B04040', '#FFFFFF', 'none', '#FFFFFF', '#FF0000', '#80FFFF', '#0000FF', '#FFFF80', '#000000', '#C0C0C0', 'none', '#C0C0C0', '#000000', '#808080', 'none', '#808080', '#0000FF', '#FFFF80', 'none', '#FFFF80', '#FFFFFF', 'Lightpink', '#000000', '#000000', '#FF0000', '#80FFFF', '#0000FF', '#FFFF80', '#000000', '#C0C0C0', 'none', '#C0C0C0', '#000000', '#808080', 'none', '#808080', '#0000FF', '#FFFF80', 'none', '#FFFF80', '#000000', '#FFFFFF', 'none', '#FFFFFF', '#B04040', '', 'none', '#000000', '#000000', '#FF0000', '#80FFFF', 'none', '#80FFFF', '#0000FF', '#FFFF80', 'none', '#FFFF80', '#0000FF', '#FFFF80', 'none', '#FFFF80', '#000000', '#008000', '#008000', '#000000', '#C0C0C0', '#C0C0C0', '#000000', '#808080', '#808080', '#000000', '#FFFF80', '#FFFF80', '#000000', '#C0C0C0', '#C0C0C0', '#000000', '#808080', '#808080', '#000000', '#FFFF80', '#FFFF80', '#000000', '#FFFFFF', '#FFFFFF', '#000000', '#000000', '#000000', '#008000', '#008000', '#000000', '#008000', '#008000', '#000000', '#008000', '#008000', '#000000', '#008000', '#008000', '#000000', '#C0C0C0', '#C0C0C0', '#000000', '#808080', '#808080', '#000000', '#FFFF80', '#FFFF80', '#000000', '#FFFFFF', '#FFFFFF')";
        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
    }
    
}

function setup_calg() {

global $tabpre,$servertzos,$wroot,$wprogdir;
global $setuptab,$fieldcnt;

            $have_setuptab = false;
            $sqlstr = "select * from ".$tabpre."_setup";
            $query1 = mysql_query($sqlstr) or die("Database setup table error.<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
            
/*
            while ($row = mysql_fetch_array($query1)) {
            
                $siteowner = $row["siteowner"];
                $adminemail = $row["email"];
                $sitetitle =  $row["sitetitle"];
                $baseurl =  $row["baseurl"];
                $progdir =  $row["progdir"];
                $standardlang = $row["standardlangid"];
                $standardlangname =  $row["standardlangname"];
                $sitetype = $row["sitetype"];
                $publicview = $row["publicview"];
                $usercustom = $row["usercustom"];
                $mailtype = $row["mailtype"];
                $mailformat = $row["mailformat"];
                $formtype = $row["formtype"];
                $uniem = $row["uniem"];
                $sadmmail = $row["sadmmail"];
                $headpic = $row["headpic"];
                $footpic = $row["footpic"];
                $adsid = $row["adsid"];
                $seiyv = $row["seiyv"];
                $withesb = $row["withesb"];
                $withwvesb = $row["withwvesb"];
                $withdvesb = $row["withdvesb"];
                $showomd = $row["showomd"];
                $showwvtime = $row["showwvtime"];
                $showdvtime = $row["showdvtime"];
                $demomode = $row["demomode"];
                $standardbgimg =  $row["standardbgimg"];
                $allowopen =  $row["allowopen"];
                $allowpublic =  $row["allowpublic"];
                $allowprivate =  $row["allowprivate"];
                $allowreminders =  $row["allowreminders"];
                
                $have_setuptab = true;
            
            }
            
        if($have_setuptab == false) {
    
            $siteowner = "Your Name";
            $adminemail = "yourname@yourdomain.com";
            $sitetitle =  "CaLogic Calendars";
            $baseurl =  "http://".$wroot;
            $progdir =  $wprogdir;
            $standardlang = 1;
            $standardlangname =  "English";
            $sitetype = 0;
            $publicview = 0;
            $usercustom = 1;
            $mailtype = "sendmail";
            $mailformat = 0;
            $formtype = "post";
            $uniem = 1;
            $sadmmail = 0;
            $headpic = "";
            $footpic = "";
            $adsid = 0;
            $seiyv = 1;
            $withesb = 1;
            $withwvesb = 1;
            $withdvesb = 0;
            $showomd = 1;
            $showwvtime = 1;
            $showdvtime = 1;
            $demomode = 0;
            $standardbgimg =  "./img/stonbk.jpg";
            $allowopen =  1;
            $allowpublic =  1;
            $allowprivate =  1;
            $allowreminders =  1;
        }
*/
$row = mysql_fetch_array($query1);

/*
echo $row["siteowner"]."<br>";
echo $row["email"]."<br>";
echo $row["sitetitle"]."<br>";
echo $row["baseurl"]."<br>";
echo $row["progdir"]."<br>";
echo $row["standardlangid"]."<br>";
echo $row["standardlangname"]."<br>";
echo $row["standardbgimg"]."<br>";
echo $row["servertzos"]."<br>";
echo $row["allowopen"]."<br>";
echo $row["allowpublic"]."<br>";
echo $row["allowprivate"]."<br>";
echo $row["allowreminders"]."<br>";
*/

for($x=0;$x<$fieldcnt;$x++) {
    if($setuptab[$x][1] != "tabhead") {
        if(!isset($row[$setuptab[$x][1]])) {
           $$setuptab[$x][1] = $setuptab[$x][8];
        } else {
            $$setuptab[$x][1] = $row[$setuptab[$x][1]];
        }
    }
}



?>

    <form method="post" name="calgsetup" id="calgsetup" action="setup.php" LANGUAGE=javascript onsubmit="return calgsetup_onsubmit()">

<?php
$inreconfig=0;
include_once("../include/cfgfrm.php");
?>

        <td width="23%" valign="top" align="center">
        <input type="submit" value="Submit" name="sumbit_step2">
        </td>
        <td width="22%" valign="top" align="center">
        <input type="reset" value="Reset">
        </td>
        <td width="55%" valign="top" align="left">
        &nbsp;
        </td>
      </tr>
    </table>
    
    </form>

<?php

}


function setup_database() {
global $setfvar;
global $setuptab,$fieldcnt;

    $allowskip = 0;

/*
change this to ask if the user wants to use the current
dbloader, or make another one.
*/

    if (file_exists($GLOBALS["incpath"]."dbloader.php") ) {
        include($GLOBALS["incpath"]."dbloader.php");
        $allowskip = 1;
    }

?>      

    <form method="post" name="caldbsetup" id="caldbsetup" action="setup.php" LANGUAGE=javascript onsubmit="return caldbsetup_onsubmit()">
    <input type="hidden" name="setup_step" value="1">
    <table border="1" width="100%">
      <tr>
        <th width="23%" align="left">Option</th>
        <th width="22%" align="left">Entry</th>
        <th width="55%" align="left">Remark</th>
      </tr>

	  <tr>
        <td width="23%" valign="top" align="left">Path and name of Database Settings File</td>
        <td width="22%" valign="top" align="left">

        <input type="text" id="databasepath"  name="fields[databasepath]" size="65" value="<?php
            if($allowskip == 1) {
                print $GLOBALS["setfvar"];
            } else { 
                print $GLOBALS["setpath"];
            } 
        ?>">

        </td>
        <td width="55%" valign="top" align="left">
			Enter the full path and name of the Database Settings file.<br>
            <b>the file name must end in ".php"</b>
        </td>
      </tr>

      <tr>
        <td width="23%" valign="top" align="left">Database Host Name</td>
        <td width="22%" valign="top" align="left">

        <input type="text" id="databasehost"  name="fields[databasehost]" size="30" <?php if($allowskip == 1) {print "value=\"".$dbhost."\""; } ?>>

        </td>
        <td width="55%" valign="top" align="left">
			Enter the name of your CaLogic Database Host.
        </td>
      </tr>
      
	  <tr>
        <td width="23%" valign="top" align="left">Database Name</td>
        <td width="22%" valign="top" align="left">

        <input type="text" id="databasename"  name="fields[databasename]" size="30" <?php if($allowskip == 1) {print "value=\"".$dbname."\""; } ?>>

        </td>
        <td width="55%" valign="top" align="left">
			Enter the name of your CaLogic Database.
        </td>
      </tr>

	  <tr>
        <td width="23%" valign="top" align="left">Database User Name</td>
        <td width="22%" valign="top" align="left">

        <input type="text" id="databaseuser"  name="fields[databaseuser]" size="30" <?php if($allowskip == 1) {print "value=\"".$dbuser."\""; } ?>>

        </td>
        <td width="55%" valign="top" align="left">
			Enter the Database User Name.
        </td>
      </tr>

	  <tr>
        <td width="23%" valign="top" align="left">Database User Password</td>
        <td width="22%" valign="top" align="left">

        <input type="text" id="databasepass"  name="fields[databasepass]" size="30" <?php if($allowskip == 1) {print "value=\"".$dbpass."\""; } ?>>

        </td>
        <td width="55%" valign="top" align="left">
			Enter the Database User Password.
        </td>
      </tr>


      <tr>
        <td width="23%" valign="top" align="left">Create Database</td>
        <td width="22%" valign="top" align="left">
            <select size="1" id="makedatabase" name="fields[makedatabase]">
            <option value="0" selected>No</option>
            <option value="1">Yes</option>
          	</select>
        </td>
        <td width="55%" valign="top" align="left">
            Select Yes if you would like to create the database. 
            Select No if the database already exists. 
            Selecting Yes will have no efect if the database already exists.
            Note: you must have proper privileges to create a database.<br><b>
            not yet working i.e. the database must already exist</b>
        </td>
      </tr>
      
	  <tr>
        <td width="23%" valign="top" align="left">Create Tables</td>
        <td width="22%" valign="top" align="left">
        	<select size="1" id="maketable" name="fields[maketable]">
            <option value="0" <?php if($allowskip == 1) {print "selected"; } ?>>No</option>
            <option value="1" <?php if($allowskip == 0) {print "selected"; } ?>>Yes</option>
          	</select>
        </td>
        <td width="55%" valign="top" align="left">
        For first time installations, this must be set to Yes. 
        Set to No if you are changing your configuration.
        <br>
        <b>WARNING: Setting this to Yes will cause any CaLogic tables with the Table Name Prefix as set below to be deleted, and re-created.</b>  
        </td>
      </tr>

	  <tr>
        <td width="23%" valign="top" align="left">Database Table Name Prefix</td>
        <td width="22%" valign="top" align="left">

        <input type="text" id="databaseprefix"  name="fields[databaseprefix]" size="30" value="<?php if($allowskip == 1) {print $tabpre; } else { print "clc"; } ?>">

        </td>
        <td width="55%" valign="top" align="left">
	This will be prepended to all tables created. It should be between 3 and 5 letters long. This is used to allow you to
	individualize the tables created.
        </td>
      </tr>
      
	  <tr>
        <td width="23%" valign="top" align="left">Start File Name</td>
        <td width="22%" valign="top" align="left">

        <input type="text" id="startfile"  name="fields[startfile]" size="30" value="<?php if($allowskip == 1) {print $idxfile; } else { print "index.php"; } ?>">

        </td>
        <td width="55%" valign="top" align="left">
	    If you do not intend to change the name of the index.php file, then do not change this setting.
        </td>
      </tr>

      </table><br>
      <input type="submit" name="setupsubmitstep1" id="setupsubmitstep1" value="Submit"><br><br><b>
      Submit Actions: <br>Database Connection and Setting files will be created.
      <br>Database and tables will be created.
      </b><br><br>
      <?php
      if($allowskip == 1) {
          print "The dbloader and settings files already exist. Click Skip to move on to the next step.<br><br>";
          print "<INPUT id=skipstep1 type=button value=Skip name=skipstep1 LANGUAGE=javascript onclick=\"return skipstep1_onclick()\">";
      }
      ?>      
      </form>
<?php
}
?>