<?php
/*
CaLogic
Copyright (c) Philip Boone.
philip@calogic.de


ALTER TABLE `clc_setup` CHANGE `calogic_version` `calogicversion` VARCHAR( 15 ) DEFAULT '1.1.0' NOT NULL  




*/

//asdbg_break();
ini_set("error_reporting","E_COMPILE_ERROR|E_ERROR|E_CORE_ERROR|E_CORE_WARNING|E_PARSE");

$calogicversion = "1.1.0";
$errep = "<br><br>Version Info<br><br>CaLogic: ".$calogicversion."<br><br>MySQL: ".mysql_get_client_info()."<br><br>PHP: ".PHP_VERSION."<br><br><br>Please send this information to me, Philip Boone, so that I may correct this error.<br>My adress is philip@calogic.de, thank you";

$rent = strftime("%y%m%d%H%M%S");
$ndblname = "";
$nbdsname = "";

$servertzos = ((date("Z") / 60) / 60);
if($servertzos > 0) {
    $servertzos = "+$servertzos";
} elseif($servertzos < 0) {
    $servertzos = "$servertzos";
}

$rootpath = str_replace("\\","/",getcwd());
$pathlen = strlen($rootpath);
$setpath = substr($rootpath,0,$pathlen-5);
$incpath = substr($rootpath,0,$pathlen-5);

$tdir = substr(dirname($_SERVER['PHP_SELF']),1);
$tdir = substr($tdir,0,strlen($tdir)-5);

#if(strpos($tdir,"/") > 0) {
#    $tdir = substr($tdir,0,strpos($tdir,"/"));
#} elseif(strlen($tdir) > 0) {
#    $tdir.="/";
#}    

$wroot = $_SERVER['HTTP_HOST']."/";
$wprogdir = $tdir;

$setpath .= "admin/settings.php";
$incpath .= "include/";

#echo "rootpath: ".$rootpath."<br>";
#echo "setpath: ".$setpath."<br>";
#echo "incpath: ".$incpath."<br>";
#echo "tdir: ".$tdir."<br>";
#echo "wroot: http://".$wroot."<br>";
#echo "wprog: ".$wprogdir."<br>";

$havedbloader = false;
$havesettings = false;

include("../include/setuptab.php");

setup_head();

switch ($setup_step) {

	case "3":
        include("../include/dbloader.php");
        setup_step3();
        
        print "<br><br>Update finished.<br><br><a href=\"".$fields["baseurl"].$fields["progdir"].$GLOBALS["idxfile"]."\">Click here to start CaLogic!</a><br><br>";
		break;
	default:
	
        include("../include/dbloader.php");	
        setup_calg();
}

setup_foot();

#print "<br><br>";
#print $rootpath."<br>";
#print $pathlen."<br>";
#print $modpath."<br>";

exit();


function setup_head() {

    ?>

    <html>
    <head>
    <title>CaLogic Calendars Update</title>
    
    <SCRIPT ID=clientEventHandlersJS LANGUAGE=javascript>
    <!--

    var ferr = false;
    
    function caldbsetup_onsubmit() {
    	caldbsetup.databasepath.value = trim(caldbsetup.databasepath.value);
    	caldbsetup.databasehost.value = trim(caldbsetup.databasehost.value);
    	caldbsetup.databasename.value = trim(caldbsetup.databasename.value);
    	caldbsetup.databaseuser.value = trim(caldbsetup.databaseuser.value);
    	caldbsetup.databaseprefix.value = trim(caldbsetup.databaseprefix.value);
    	caldbsetup.startfile.value = trim(caldbsetup.startfile.value);

        if(caldbsetup.databasepath.value == "") {
            alert("The Path cannot be blank!");
            ferr = true;
        } 
        if(caldbsetup.databasehost.value == "") {
            alert("The Host cannot be blank!");
            ferr = true;
        } 
        if(caldbsetup.databasename.value == "") {
            alert("The Database Name cannot be blank!");
            ferr = true;
        } 
        if(caldbsetup.databaseuser.value == "") {
            alert("The User cannot be blank!");
            ferr = true;
        } 
        if(caldbsetup.databaseprefix.value == "") {
            alert("The Prefix cannot be blank!");
            ferr = true;
        } 
        if(caldbsetup.startfile.value == "") {
            alert("The Start File cannot be blank!");
            ferr = true;
        } 
        if(ferr==true) {
            return false;
        } else {
            return true;
        }
    }
    
    function calgsetup_onsubmit() {
    	calgsetup.siteowner.value = trim(calgsetup.siteowner.value);
    	calgsetup.adminemail.value = trim(calgsetup.adminemail.value);
    	calgsetup.baseurl.value = trim(calgsetup.baseurl.value);
        if(calgsetup.siteowner.value == "") {
            alert("You must enter a Site Owner Name!");
            return false;
        } 
        if(calgsetup.adminemail.value == "") {
            alert("You must enter an Admin Email!");
            return false;
        } 

        if(calgsetup.baseurl.value == "") {
            alert("You must enter base URL!");
            return false;
        } 
        if(calgsetup.allowopen.value == 0 && calgsetup.allowpublic.value == 0 && calgsetup.allowprivate.value == 0) {
            alert("At least one type of Calendar must be enabled!");
            return false;
        }
        if(calgsetup.allowdv.value == 0 && calgsetup.allowwv.value == 0 && calgsetup.allowmv.value == 0 && calgsetup.allowyv.value == 0) {
            alert("At least one type of View must be enabled!");
            return false;
        } 
        return true;
    }
    
    
    function trim(value) {
     startpos=0;
     while((value.charAt(startpos)==" ")&&(startpos<value.length)) {
       startpos++;
     }
     if(startpos==value.length) {
       value="";
     } else {
       value=value.substring(startpos,value.length);
       endpos=(value.length)-1;
       while(value.charAt(endpos)==" ") {
         endpos--;
       }
       value=value.substring(0,endpos+1);
     }
     return(value);
    }

    //-->
    </SCRIPT>

    </head>
    
    <body background="<?php print "../img/stonbk.jpg"; ?>">
    <h1>CaLogic Calendars - UPDATE</h1>

<?php

}

function setup_foot() {

    // Please do not remove this information
    // I worked a lot of long hard hours on this program
    // give credit where credit is due.
    print "<center>";
    print "<table border=\"0\" width=\"50%\">\n";
    print "<tr>\n";
    print "<td width=\"33%\" align=\"center\">";
    print "<A class=\"gcprevlink\" target=\"_blank\" href=\"http://sourceforge.net \">
    <IMG src=\"../img/sf_logo.bmp\" width=\"125\" height=\"37\" border=\"0\" alt=\"SourceForge Logo\"></A>";
    print "<td width=\"33%\" align=\"center\" nowrap>
    <a title=\"Visit the Home of CaLogic!\" target=\"_blank\" class=\"gcprevlink\" href=\"http://www.calogic.de \">
    <font size=\"-1\">CaLogic Calendars V".$GLOBALS["calogicversion"]."</font></a><br>
    <a title=\"EMail the author!\" target=\"_blank\" class=\"gcprevlink\" href=\"mailto:philip@calogic.de\">
    <font size=\"-1\">&#xA9; Philip Boone</font></a></td>\n";
    print "<td width=\"34%\" align=\"center\">
    <a target=\"_blank\" class=\"gcprevlink\" href=\"http://www.mysql.com \">
    <img border=\"1\" width=\"125\" height=\"37\" src=\"../img/mysql_logo.png\" alt=\"MySQL Logo\"></a></td>\n";
    print "</tr>\n";
    print "</table>\n";
    print "<a target=\"_blank\" class=\"gcprevlink\" href=\"http://www.php.net \">
    <img border=\"1\" src=\"../img/php_logo2.gif\" alt=\"PHP Logo\"></a></td>\n";
    print "</center></body>\n";
    print "</html>\n";
    
#    exit();
}

function setup_step3() {

global $fields,$tabpre,$calogicversion,$servertzos;
global $setuptab,$fieldcnt;

/*
        $sqlstr = "delete from ".$tabpre."_setup";
        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);

$sqlstr = "ALTER TABLE ".$tabpre."_setup 
ADD sitetype TINYINT(4) DEFAULT '0' NOT NULL AFTER standardlangname, 
ADD publicview TINYINT(4) DEFAULT '1' NOT NULL AFTER sitetype, 
ADD usercustom TINYINT(4) DEFAULT '1' NOT NULL AFTER publicview, 
ADD mailtype VARCHAR(8) DEFAULT 'sendmail' NOT NULL AFTER usercustom, 
ADD mailformat TINYINT(4) DEFAULT '0' NOT NULL AFTER mailtype, 
ADD formtype VARCHAR(4) DEFAULT 'post' NOT NULL AFTER mailformat, 
ADD uniem TINYINT(4) DEFAULT '1' NOT NULL AFTER formtype, 
ADD sadmmail TINYINT(4) DEFAULT '0' NOT NULL AFTER uniem, 
ADD headpic VARCHAR(100) DEFAULT ' ' NULL AFTER sadmmail, 
ADD footpic VARCHAR(100) DEFAULT ' ' NULL AFTER headpic, 
ADD adsid TINYINT(4) DEFAULT '0' NOT NULL AFTER footpic, 
ADD seiyv TINYINT(4) DEFAULT '1' NOT NULL AFTER adisd, 
ADD withesb TINYINT(4) DEFAULT '1' NOT NULL AFTER seiyv, 
ADD withwvesb TINYINT(4) DEFAULT '1' NOT NULL AFTER withesb, 
ADD withdvesb TINYINT(4) DEFAULT '0' NOT NULL AFTER withwvesb, 
ADD showomd TINYINT(4) DEFAULT '1' NOT NULL AFTER withdvesb, 
ADD showwvtime TINYINT(4) DEFAULT '1' NOT NULL AFTER showomd, 
ADD sowdvtime TINYINT(4) DEFAULT '1' NOT NULL AFTER showwvtime, 
ADD demomode TINYINT(4) DEFAULT '0' NOT NULL AFTER sowdvtime,
ADD calogic_version VARCHAR(15) DEFAULT '1.0.5a' NOT NULL AFTER allowreminders";

mysql_query($sqlstr) or die("Cannot execute query.<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);

*/

$sqlstr = "DROP TABLE IF EXISTS ".$GLOBALS["tabpre"]."_setup;";
mysql_query($sqlstr) or die("Cannot execute query.<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);

$sqlstr = "CREATE TABLE ".$GLOBALS["tabpre"]."_setup (";

for($x=0;$x<$fieldcnt;$x++) {
    if($setuptab[$x][1] != "tabhead") {
        $sqlstr .= $setuptab[$x][1]." ".$setuptab[$x][2].",";
    }
}
$sqlstr .= "calogicversion varchar(15) NOT NULL default '1.1.0'
) TYPE=MyISAM COMMENT='CaLogic Setup Table';";

/*
  siteowner varchar(100) NOT NULL default '',
  email varchar(100) NOT NULL default '',
  sitetitle varchar(100) NOT NULL default '',
  baseurl varchar(100) NOT NULL default '',
  progdir varchar(100) NOT NULL default '',
  standardlangid int(11) NOT NULL default '0',
  standardlangname varchar(20) NOT NULL default '',
  sitetype tinyint(4) NOT NULL default '0',
  publicview tinyint(4) NOT NULL default '1',
  usercustom tinyint(4) NOT NULL default '1',
  mailtype varchar(8) NOT NULL default 'sendmail',
  mailformat tinyint(4) NOT NULL default '0',
  formtype varchar(4) NOT NULL default 'post',
  uniem tinyint(4) NOT NULL default '1',
  sadmmail tinyint(4) NOT NULL default '0',
  headpic varchar(100) default '',
  footpic varchar(100) default '',
  adsid tinyint(4) NOT NULL default '0',
  seiyv tinyint(4) NOT NULL default '1',
  withesb tinyint(4) NOT NULL default '1',
  withwvesb tinyint(4) NOT NULL default '1',
  withdvesb tinyint(4) NOT NULL default '0',
  showomd tinyint(4) NOT NULL default '1',
  showwvtime tinyint(4) NOT NULL default '1',
  showdvtime tinyint(4) NOT NULL default '1',
  demomode tinyint(4) NOT NULL default '0',
  standardbgimg varchar(100) default NULL,
  servertzos tinyint(4) NOT NULL default '0',
  allowopen tinyint(4) NOT NULL default '0',
  allowpublic tinyint(4) NOT NULL default '0',
  allowprivate tinyint(4) NOT NULL default '0',
  allowreminders tinyint(4) NOT NULL default '0',
  calogic_version varchar(15) NOT NULL default '1.1.0'
) TYPE=MyISAM COMMENT='CaLogic Setup Table';";
*/

mysql_query($sqlstr) or die("Cannot execute query.<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);

        $sqlstr = "INSERT INTO ".$tabpre."_setup VALUES (";

for($x=0;$x<$fieldcnt;$x++) {
    if($setuptab[$x][1] != "tabhead") {
        if($setuptab[$x][7] > 0) {
            $sqlstr .= "'".$setuptab[$x][8]."',";
        } else {
            $sqlstr .= "'".$fields[$setuptab[$x][1]]."',";
        }
    }
}
$sqlstr .= "'".$calogicversion."')";

/*

        ('".$fields["siteowner"]."', 
        '".$fields["adminemail"]."',
        '".$fields["sitetitle"]."',
        '".$fields["baseurl"]."',
        '".$fields["progdir"]."', 
        1, 'English',
        ".$fields["sitetype"].",
        ".$fields["publicview"].",
        ".$fields["usercustom"].",
        '".$fields["mailtype"]."',
        ".$fields["mailformat"].",
        '".$fields["formtype"]."',
        ".$fields["uniem"].", 
        ".$fields["sadmmail"].",
        '".$fields["headpic"]."',
        '".$fields["footpic"]."',
        ".$fields["adsid"].",1,
        ".$fields["withesb"].",
        ".$fields["withwvesb"].",
        ".$fields["withdvesb"].",
        ".$fields["showomd"].",
        ".$fields["showwvtime"].",
        ".$fields["showdvtime"].",
        ".$fields["demomode"].", 
        '".$fields["standardbgimg"]."',
        ".$servertzos.",
        ".$fields["allowopen"].",
        ".$fields["allowpublic"].", 
        ".$fields["allowprivate"].",
        ".$fields["allowreminders"].",
        '".$calogicversion."')";
*/        
        
        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);


        // --------------------------------------------------------
        
    if($fields["publicview"] == 1 && $curpubview == 0){
        
        $sqlstr = "delete from ".$tabpre."_user_reg where uname='Guest'";
        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
    
        $sqlstr = "delete from ".$tabpre."_cal_ini where calid=-1";
        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);

        $regtime = time();
        
        $xmdpw = md5("Guest"); 
        
        $istfadmin = 0;
        
        $sqlstr = "insert into ".$tabpre."_user_reg (uname,fname,lname,email,pw,emok,langid,language,startcalid,startcalname,tzos,regtime,regkey,isadmin) 
        values('Guest','Guest','Guest','guest@dummy.com','$xmdpw',1,1,'English',-1,'Public',0,$regtime,'$key',$istfadmin)";
        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);

        $sqlstr = "select uid from ".$tabpre."_user_reg where uname='Guest'";
        $query1 = mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
        $row = mysql_fetch_array($query1);
        
        $sqlstr = "INSERT INTO ".$tabpre."_cal_ini VALUES ('','-1', 'Public', ".$row["uid"].", 'Public', 'Public', 0, 1, 'Month', 1, 1, '0600', '1800', 1, './img/stonbk.jpg', '#0000FF', '', 'underline', '#0000FF', '', 'underline', '#0000FF', 'underline', '#FFFF80', '#000000', '#B04040', '#FFFFFF', 'none', '#FFFFFF', '#FF0000', '#80FFFF', '#0000FF', '#FFFF80', '#000000', '#C0C0C0', 'none', '#C0C0C0', '#000000', '#808080', 'none', '#808080', '#0000FF', '#FFFF80', 'none', '#FFFF80', '#000000', '#FFFFFF', 'none', '#FFFFFF', 'Lightpink', '#000000', '#000000', '#B04040', '#FFFFFF', 'none', '#FFFFFF', '#FF0000', '#80FFFF', '#0000FF', '#FFFF80', '#000000', '#C0C0C0', 'none', '#C0C0C0', '#000000', '#808080', 'none', '#808080', '#0000FF', '#FFFF80', 'none', '#FFFF80', '#FFFFFF', 'Lightpink', '#000000', '#000000', '#FF0000', '#80FFFF', '#0000FF', '#FFFF80', '#000000', '#C0C0C0', 'none', '#C0C0C0', '#000000', '#808080', 'none', '#808080', '#0000FF', '#FFFF80', 'none', '#FFFF80', '#000000', '#FFFFFF', 'none', '#FFFFFF', '#B04040', '', 'none', '#000000', '#000000', '#FF0000', '#80FFFF', 'none', '#80FFFF', '#0000FF', '#FFFF80', 'none', '#FFFF80', '#0000FF', '#FFFF80', 'none', '#FFFF80', '#000000', '#008000', '#008000', '#000000', '#C0C0C0', '#C0C0C0', '#000000', '#808080', '#808080', '#000000', '#FFFF80', '#FFFF80', '#000000', '#C0C0C0', '#C0C0C0', '#000000', '#808080', '#808080', '#000000', '#FFFF80', '#FFFF80', '#000000', '#FFFFFF', '#FFFFFF', '#000000', '#000000', '#000000', '#008000', '#008000', '#000000', '#008000', '#008000', '#000000', '#008000', '#008000', '#000000', '#008000', '#008000', '#000000', '#C0C0C0', '#C0C0C0', '#000000', '#808080', '#808080', '#000000', '#FFFF80', '#FFFF80', '#000000', '#FFFFFF', '#FFFFFF')";
        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
    } else {
        $sqlstr = "delete from ".$tabpre."_user_reg where uname='Guest'";
        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
    
        $sqlstr = "delete from ".$tabpre."_cal_ini where calid=-1";
        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
    }
}

function setup_calg() {

global $tabpre,$servertzos,$wroot,$wprogdir;
global $setuptab,$fieldcnt;

            $sqlstr = "select * from ".$tabpre."_setup";
            $query1 = mysql_query($sqlstr) or die("Database setup table error.<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
            
#            while ($row = mysql_fetch_array($query1)) {


/*
# Verson => 1.0.4a

                $siteowner = $row["siteowner"];
                $adminemail = $row["email"];
                $sitetitle =  $row["sitetitle"];
                $baseurl =  $row["baseurl"];
                $progdir =  $row["progdir"];
                $standardlang = $row["standardlangid"];
                $standardlangname =  $row["standardlangname"];
                $standardbgimg =  $row["standardbgimg"];
                $servertzos =   $row["servertzos"];
                $allowopen =  $row["allowopen"];
                $allowpublic =  $row["allowpublic"];
                $allowprivate =  $row["allowprivate"];
                $allowreminders =  $row["allowreminders"];

                if(!isset($row["calogicversion"])) {

# Version < 1.0.5a

                    $sitetype = 0;
                    $publicview = 0;
                    $usercustom = 1;
                    $mailtype = "sendmail";
                    $mailformat = 0;
                    $formtype = "post";
                    $uniem = 1;
                    $sadmmail = 0;
                    $headpic = " ";
                    $footpic = " ";
                    $adsid = 0;
                    $seiyv = 1;
                    $withesb = 1;
                    $withwvesb = 1;
                    $withdvesb = 0;
                    $showomd = 1;
                    $showwvtime = 1;
                    $showdvtime = 1;
                    $demomode = 0;
                    
                } else {
                    if($row["calogicversion"]=="1.0.5a") {
# Version 1.0.5a
                        $sitetype = $row["sitetype"];
                        $publicview = $row["publicview"];
                        $usercustom = $row["usercustom"];
                        $mailtype = $row["mailtype"];
                        $mailformat = $row["mailformat"];
                        $formtype = $row["formtype"];
                        $uniem = $row["uniem"];
                        $sadmmail = $row["sadmmail"];
                        $headpic = $row["headpic"];
                        $footpic = $row["footpic"];
                        $adsid = $row["adsid"];
                        $seiyv = $row["seiyv"];
                        $withesb = $row["withesb"];
                        $withwvesb = $row["withwvesb"];
                        $withdvesb = $row["withdvesb"];
                        $showomd = $row["showomd"];
                        $showwvtime = $row["showwvtime"];
                        $showdvtime = $row["showdvtime"];
                        $demomode = $row["demomode"];
                        
                    } elseif($row["calogicversion"]=="1.1.0") {
                        
                        $sitetype = $row["sitetype"];
                        $publicview = $row["publicview"];
                        $usercustom = $row["usercustom"];
                        $mailtype = $row["mailtype"];
                        $mailformat = $row["mailformat"];
                        $formtype = $row["formtype"];
                        $uniem = $row["uniem"];
                        $sadmmail = $row["sadmmail"];
                        $headpic = $row["headpic"];
                        $footpic = $row["footpic"];
                        $adsid = $row["adsid"];
                        $seiyv = $row["seiyv"];
                        $withesb = $row["withesb"];
                        $withwvesb = $row["withwvesb"];
                        $withdvesb = $row["withdvesb"];
                        $showomd = $row["showomd"];
                        $showwvtime = $row["showwvtime"];
                        $showdvtime = $row["showdvtime"];
                        $demomode = $row["demomode"];
                        
                    }
                }
*/
#            }




$row = mysql_fetch_array($query1);

/*
echo $row["siteowner"]."<br>";
echo $row["email"]."<br>";
echo $row["sitetitle"]."<br>";
echo $row["baseurl"]."<br>";
echo $row["progdir"]."<br>";
echo $row["standardlangid"]."<br>";
echo $row["standardlangname"]."<br>";
echo $row["standardbgimg"]."<br>";
echo $row["servertzos"]."<br>";
echo $row["allowopen"]."<br>";
echo $row["allowpublic"]."<br>";
echo $row["allowprivate"]."<br>";
echo $row["allowreminders"]."<br>";
*/

for($x=0;$x<$fieldcnt;$x++) {
    if($setuptab[$x][1] != "tabhead") {
        if(!isset($row[$setuptab[$x][1]])) {
           $$setuptab[$x][1] = $setuptab[$x][8];
        } else {
            $$setuptab[$x][1] = $row[$setuptab[$x][1]];
        }
    }
}

?>

    <form method="post" name="calgsetup" id="calgsetup" action="update.php" LANGUAGE=javascript onsubmit="return calgsetup_onsubmit()">

<?php
$inreconfig=0;

include_once("../include/cfgfrm.php");

?>
      
        <td width="23%" valign="top" align="center">
        <input type="submit" value="Submit" name="sumbit_step3">
        </td>
        <td width="22%" valign="top" align="center">
        <input type="reset" value="Reset">
        </td>
        <td width="55%" valign="top" align="left">
        &nbsp;
        </td>
      </tr>
    </table>
    
    </form>

<?php

}
