<?php
/***************************************************************
** Title.........: CaLogic Base Configuration
** Version.......: 1.0
** Author........: Philip Boone <philip@boone.at>
** Filename......: config.php
** Last changed..: 
** Notes.........: read the explanations of the variables you need to set 
** Use...........: This file sets up a few of the global variables

** Functions: none

***************************************************************/ 

ini_set("error_reporting","E_COMPILE_ERROR|E_ERROR|E_CORE_ERROR|E_CORE_WARNING|E_PARSE");
# New configuration variables that will be added to the [tabpre]_setup table
# in the next version



/*
tried to get around a setting of register_globals = off, but nothing worked 100%

reset($HTTP_GET_VARS); 
while(list($key, $val) = each($HTTP_GET_VARS)) 
  $$key = $val;
  
while(list($key, $val) = each($HTTP_POST_VARS)) 
  $$key = $val;
  
extract($_POST,EXTR_OVERWRITE);
extract($_GET,EXTR_OVERWRITE);
extract($_SESSION,EXTR_OVERWRITE);

*/

/***************************************************************
** CaLogic Version Variable and error reporting variable
***************************************************************/    
$calogicversion = "1.1.0";
$errep = "<br><br>Version Info<br><br>CaLogic: ".$calogicversion."<br><br>MySQL: ".mysql_get_client_info()."<br><br>PHP: ".PHP_VERSION."<br><br><br>Please send this information to me, Philip Boone, so that I may correct this error.<br>My adress is philip@calogic.de, thank you";

#$headpic = ""; #"./img/encs.gif";
#$footpic = ""; #"./img/cal.swf";

/***************************************************************
** included files
** NOTE: You must set variables in the dbloader.php file  
***************************************************************/    
require_once("./include/dbloader.php");

/***************************************************************
** session_save_path
** NOTE: this usually should not be used. your web server should
         take care of this it self. If you do set it, it should
         be set to a path not accessible to a web browser.
         Remove the # to use this setting  
***************************************************************/    
/*** SET VARIABLE HERE *****/ 
#session_save_path("/home/etc/sess/tmp");

/***************************************************************
** $adsid
** NOTE: set this to true to have CaLogic add the Session SID
**       to each link.
         This is needed if you have PHP compiled without the
         enable-trans-sid option.  
***************************************************************/    
/*** SET VARIABLE HERE *****/ 
#$adsid = FALSE;


/***************************************************************
** $seiyv
** NOTE: set this to false to have CaLogic NOT highlight
         days with events in the year view. This may be neccessary
         if you find CaLogic not being able to complete the yaar view. 
***************************************************************/    
/*** SET VARIABLE HERE *****/ 
#$seiyv = true;


/***************************************************************
** $uniem
** NOTE: User Name in E-Mail.
         Setting this to false will stop CaLogic from using
         a name in the To and From fields of E-Mails. Some
         E-Mail programs do not work properly if anything
         other than an e-mail address is in the To and From
         fields. If you find your emails not working properly,
         try setting this to false.
***************************************************************/    
/*** SET VARIABLE HERE *****/ 
#$uniem = true;



/***************************************************************
** $withesb
** NOTE: set this to false to not have CaLogic display events
         inside of a scroll box. Without a scroll box, the
         month, week and day views may become longer. 
***************************************************************/    
/*** SET VARIABLE HERE *****/ 
#$withesb = true;
#$withwvesb = true;
#$withdvesb = false;

/***************************************************************
** $showomd
** NOTE: show out of month day numbers in mini calendar and month views
         if set to false, then out of month day numbers will
         not be shown. A simple blank cell will be shown
         instead.
***************************************************************/    
/*** SET VARIABLE HERE *****/ 
#$showomd = true;


/***************************************************************
** standard global variables
** NOTE: you shoulden't have to edit any thing below this line!
***************************************************************/
#$demomode = true;


#if(get_magic_quotes_gpc() != 1) {
    set_magic_quotes_runtime(0);
#}

include("./include/setuptab.php");

    $sqlstr = "select * from ".$tabpre."_setup";
    $query1 = mysql_query($sqlstr) or die("Cannot query Standard Setup Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
    $res_query1 = @mysql_num_rows($query1); //or die("Cannot query Setup Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
    
    if($res_query1 == 1) {
    	$row = mysql_fetch_array($query1) or die("Cannot query Setup Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr);

        for($x=0;$x<$fieldcnt;$x++) {
            if($setuptab[$x][1] != "tabhead") {
                if(!isset($row[$setuptab[$x][1]])) {
                   $$setuptab[$x][1] = $setuptab[$x][8];
                } else {
                    $$setuptab[$x][1] = $row[$setuptab[$x][1]];
                }
            }
        }

/*
        $siteowner = $row["siteowner"];
        $adminemail = $row["email"];
        $sitetitle =  $row["sitetitle"];
        $baseurl =  $row["baseurl"];
        $progdir =  $row["progdir"];
        $standardlang =  $row["standardlangid"];
        $standardlangname =  $row["standardlangname"];
        
        $sitetype = $row["sitetype"];
        $publicview = $row["publicview"];
        $usercustom = $row["usercustom"];
        $postorget = $row["formtype"];
        $mailtype = $row["mailtype"];
        $mailastext = $row["mailformat"];

        $uniem = $row["uniem"];
        $sadmmail = $row["sadmmail"];

        $headpic = $row["headpic"];
        $footpic = $row["footpic"];
        $adsid = $row["adsid"];
        $seiyv = $row["seiyv"];
        $withesb = $row["withesb"];
        $withwvesb = $row["withwvesb"];
        $withdvesb = $row["withdvesb"];
        $showomd = $row["showomd"];
        $showwvtime = $row["showwvtime"];
        $showdvtime = $row["showdvtime"];
        $demomode = $row["demomode"];
        
        $standardbgimg =  $row["standardbgimg"];
        $allowopen =  $row["allowopen"];
        $allowpublic =  $row["allowpublic"];
        $allowprivate =  $row["allowprivate"];
        $allowreminders =  $row["allowreminders"];
        $calogicversion = $row["calogic_version"];
*/

        $adminemail = $row["email"];
        $standardlang =  $row["standardlangid"];
        $postorget = $row["formtype"];
        $mailastext = $row["mailformat"];

        $errep = "<br><br>Version Info<br><br>CaLogic: ".$calogicversion."<br><br>Running at: ".$baseurl.$progdir."<br><br>Owned by: ".$siteowner."<br><br>Email: ".$adminemail."<br><br>MySQL: ".mysql_get_client_info()."<br><br>PHP: ".PHP_VERSION."<br><br><br>Please send this information to me, Philip Boone, so that I may correct this error.<br>My adress is philip@calogic.de, thank you";
          
    } else {
        die("There is an error in the Setup Table<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
    }
    

#if($uniem == true) {$uniem=1;} else {$uniem=0;}
if($adsid == 1) {$adsid=true;} else {$adsid=false;}

if($seiyv == 1) {$seiyv=true;} else {$seiyv=false;}
if($withesb == 1) {$withesb=true;} else {$withesb=false;}
if($withwvesb == 1) {$withwvesb=true;} else {$withwvesb=false;}
if($withdvesb == 1) {$withdvesb=true;} else {$withdvesb=false;}
if($showomd == 1) {$showomd=true;} else {$showomd=false;}
if($showwvtime == 1) {$showwvtime=true;} else {$showwvtime=false;}
if($showdvtime == 1) {$showdvtime=true;} else {$showdvtime=false;}
if($demomode == 1) {$demomode=true;} else {$demomode=false;}

$servertzos = ((date("Z") / 60) / 60);

if($servertzos > 0) {
    $servertzos = "+$servertzos";
} elseif($servertzos < 0) {
    $servertzos = "$servertzos";
}

$curcalcfg = array();
$langcfg = array();
$csectcnt = array();

$sesname="";
$sesvar="";
$gltab = $tabpre."_languages";
$gutab = $tabpre."_user_reg";
$lstyle[1]="underline";
$lstyle[2]="overline";
$lstyle[3]="line-through";

$fsize["medium"] = "1";
$fsize["small"] = "-1";
$fsize["xsmall"] = "-2";

$timear = array();
$timear[0] = "0000";
$timear[1] = "0030";
$timear[2] = "0100";
$timear[3] = "0130";
$timear[4] = "0200";
$timear[5] = "0230";
$timear[6] = "0300";
$timear[7] = "0330";
$timear[8] = "0400";
$timear[9] = "0430";
$timear[10] = "0500";
$timear[11] = "0530";
$timear[12] = "0600";
$timear[13] = "0630";
$timear[14] = "0700";
$timear[15] = "0730";
$timear[16] = "0800";
$timear[17] = "0830";
$timear[18] = "0900";
$timear[19] = "0930";
$timear[20] = "1000";
$timear[21] = "1030";
$timear[22] = "1100";
$timear[23] = "1130"; 
$timear[24] = "1200";
$timear[25] = "1230";
$timear[26] = "1300";
$timear[27] = "1330";
$timear[28] = "1400";
$timear[29] = "1430";
$timear[30] = "1500"; 
$timear[31] = "1530";
$timear[32] = "1600";
$timear[33] = "1630";
$timear[34] = "1700";
$timear[35] = "1730"; 
$timear[36] = "1800"; 
$timear[37] = "1830"; 
$timear[38] = "1900";
$timear[39] = "1930"; 
$timear[40] = "2000"; 
$timear[41] = "2030"; 
$timear[42] = "2100"; 
$timear[43] = "2130"; 
$timear[44] = "2200"; 
$timear[45] = "2230"; 
$timear[46] = "2300"; 
$timear[47] = "2330";

$timeara = array();
$timeara[0]="12:00 AM";
$timeara[1]="12:30 AM";
$timeara[2]="1:00 AM";
$timeara[3]="1:30 AM";
$timeara[4]="2:00 AM";
$timeara[5]="2:30 AM";
$timeara[6]="3:00 AM";
$timeara[7]="3:30 AM";
$timeara[8]="4:00 AM";
$timeara[9]="4:30 AM";
$timeara[10]="5:00 AM";
$timeara[11]="5:30 AM";
$timeara[12]="6:00 AM";
$timeara[13]="6:30 AM";
$timeara[14]="7:00 AM";
$timeara[15]="7:30 AM";
$timeara[16]="8:00 AM";
$timeara[17]="8:30 AM";
$timeara[18]="9:00 AM";
$timeara[19]="9:30 AM";
$timeara[20]="10:00 AM";
$timeara[21]="10:30 AM";
$timeara[22]="11:00 AM";
$timeara[23]="11:30 AM";
$timeara[24]="12:00 PM";
$timeara[25]="12:30 PM";
$timeara[26]="1:00 PM";
$timeara[27]="1:30 PM";
$timeara[28]="2:00 PM";
$timeara[29]="2:30 PM";
$timeara[30]="3:00 PM";
$timeara[31]="3:30 PM";
$timeara[32]="4:00 PM";
$timeara[33]="4:30 PM";
$timeara[34]="5:00 PM";
$timeara[35]="5:30 PM";
$timeara[36]="6:00 PM";
$timeara[37]="6:30 PM";
$timeara[38]="7:00 PM";
$timeara[39]="7:30 PM";
$timeara[40]="8:00 PM";
$timeara[41]="8:30 PM";
$timeara[42]="9:00 PM";
$timeara[43]="9:30 PM";
$timeara[44]="10:00 PM";
$timeara[45]="10:30 PM";
$timeara[46]="11:00 PM";
$timeara[47]="11:30 PM";

?>