<?php

/***************************************************************
** Title.........: Calendar Database Functions
** Version.......: 1.0
** Author........: Philip Boone <philip@boone.at>
** Filename......: dbfunc.php
** Last changed..: 
** Notes.........: 
** Use...........: 
                   

** Functions: 
              
                                 
***************************************************************/ 

/***************************************************************
**  
***************************************************************/    

#include_once("./include/class.html.mime.mail.inc");
#include_once("./include/emailsys.php");
include_once('./include/htmlMimeMail.php');

function checkinput($pvar) {

    for($xl=0;$xl<strlen($pvar);$xl++) {
        if(ereg("^[^a-zA-Z0-9]$",substr($pvar,$xl,1))) {
            return false;
        }
    }
    
    return true;

}

function mqfix($xqfvar) {
    if (get_magic_quotes_gpc()) {
        $pavar=stripslashes($xqfvar);
    }
    return $xqfvar;
}

function fmtfordb($pvar) {
    $pvar = str_replace("|"," ",$pvar);
    if (get_magic_quotes_gpc()) {
        $pavar=addslashes($pvar);
    }
    return $pvar;
}

//function fmtforcl($pvar) {
//    $pvar = ($pvar);
//    return $pvar;
//}

function translate($keyid,$setlang) {
//    global $tabpre,$gltab;
$erfilename = "File: ".substr(__FILE__,strrpos(__FILE__,"/")).";"; 
    
    $gltab = $GLOBALS["gltab"]; //$tabpre."_languages";
    $sqlstr = "select name from ".$GLOBALS["gltab"]." where uid=$setlang";
    $qu_res = mysql_query($sqlstr)  or die("Cannot query global language Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
    
/*    if (mysql_error()) {
        $error = mysql_error();
        sqlerror($error, __LINE__, "$erfilename Cannot query Global Language Database", $sqlstr);
    }    

*/
    $qu_num = @mysql_num_rows($qu_res);
    if($qu_num < 1) {
        mysql_free_result($qu_res);
        $sqlstr = "select * from $gltab where uid=1";
        $qu_res = mysql_query($sqlstr) or die("Cannot query global language Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
/*        if (mysql_error()) {
            $error = mysql_error();
            sqlerror($error, __LINE__, "$erfilename Cannot query Global Language Database", $sqlstr);
        }    
*/
        $qu_num = @mysql_num_rows($qu_res);
        if ($qu_num < 1) {
            sqlerror("", __LINE__, "$erfilename Database Error, nither the requested language table nor the default language table were found.",$sqlstr);
        }
        $rs_lang = mysql_fetch_array($qu_res);
        $langtab = $GLOBALS["tabpre"]."_lang_".$rs_lang["name"];
        mysql_free_result($qu_res);
        $sqlstr = "select * from $langtab where keyid='$keyid'";
        $qu_res = mysql_query($sqlstr) or die("Cannot query language Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
        
/*        if (mysql_error()) {
            $error = mysql_error();
            sqlerror($error, __LINE__, "$erfilename Cannot query Local Language Database [$langtab]", $sqlstr);
        }    
*/
        $qu_num = @mysql_num_rows($qu_res);
        if ($qu_num < 1) {
            sqlerror("", __LINE__, "$erfilename Database Error, requested language table not found, keyid $keyid in default language table $langtab not found.", $sqlstr);
        }
        $rs_key = mysql_fetch_array($qu_res);
        $ret_val = ($rs_key["phrase"]);
        mysql_free_result($qu_res);
        return $ret_val;
    }
    
    $rs_lang = mysql_fetch_array($qu_res);
    $langtab = $GLOBALS["tabpre"]."_lang_".$rs_lang["name"];
    $sqlstr = "select * from $langtab where keyid='$keyid'";

    $qu_res = mysql_query($sqlstr) or die("Cannot query language Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
/*    if (mysql_error()) {
        $error = mysql_error();
        sqlerror($error, __LINE__, "$erfilename Cannot query Local Language Database [$langtab]", $sqlstr);
    }    
*/
    $qu_num = @mysql_num_rows($qu_res);
    
    if ($qu_num < 1) {
        sqlerror("", __LINE__, "$erfilename Database Error, keyid [$keyid] not found in requested language table $langtab.", $sqlstr);
    }
    
    $rs_key = mysql_fetch_array($qu_res);
    $ret_val = ($rs_key["phrase"]);
    mysql_free_result($qu_res);
    return $ret_val;
}

function emailok($email) {
    return( ereg('^[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+'.'@'.'[-!#$%&\'*+\\/0-9=?A-Z^_`a-z{|}~]+\.'.'[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+$', $email));
}

function sqlerror($error="",$myerrnum=0,$errext="",$sqlstr="") {

//    include("./basicheader.inc.php");
    if($error <> "") {
        print "MySQL Database Error: <br>$error<br><br>";
    }
    if($myerrnum <> 0) {
        print "Program Error Line Number: $myerrnum<br><br>";
    }
    if($errext <> "") {
        print "Program Error Message: $errext<br><br>";
    }
    if($sqlstr <> "") {
        print "Executed SQL String: $sqlstr<br><br>";
    }
    print "Please contact the Admin if the problem persists.";
    exit();
}

function setviewtext($langsel) {
    global $weekstartonmonday,$daytext,$daytextl,$monthtext,$monthtextl,$evddt,$evddtl;
    global $langcfg;

    if ($weekstartonmonday==1) {
    
        $daytext[1] = $langcfg["wdns1"]; //"Mon";
        $daytext[2] = $langcfg["wdns2"]; //"Tue";
        $daytext[3] = $langcfg["wdns3"]; //"Wed";
        $daytext[4] = $langcfg["wdns4"]; //"Thu";
        $daytext[5] = $langcfg["wdns5"]; //"Fri";
        $daytext[6] = $langcfg["wdns6"]; //"Sat";
        $daytext[7] = $langcfg["wdns7"]; //"Sun";
        $daytextl[1] = $langcfg["wdnl1"]; //"Monday";
        $daytextl[2] = $langcfg["wdnl2"]; //"Tuesday";
        $daytextl[3] = $langcfg["wdnl3"]; //"Wednesday";
        $daytextl[4] = $langcfg["wdnl4"]; //"Thursday";
        $daytextl[5] = $langcfg["wdnl5"]; //"Friday";
        $daytextl[6] = $langcfg["wdnl6"]; //"Saturday";
        $daytextl[7] = $langcfg["wdnl7"]; //"Sunday";
    
    } else {
    
        $daytext[1] = $langcfg["wdns7"]; //"Sun";
        $daytext[2] = $langcfg["wdns1"]; //"Mon";
        $daytext[3] = $langcfg["wdns2"]; //"Tue";
        $daytext[4] = $langcfg["wdns3"]; //"Wed";
        $daytext[5] = $langcfg["wdns4"]; //"Thu";
        $daytext[6] = $langcfg["wdns5"]; //"Fri";
        $daytext[7] = $langcfg["wdns6"]; //"Sat";
        $daytextl[1] = $langcfg["wdnl7"]; //"Sunday";
        $daytextl[2] = $langcfg["wdnl1"]; //"Monday";
        $daytextl[3] = $langcfg["wdnl2"]; //"Tuesday";
        $daytextl[4] = $langcfg["wdnl3"]; //"Wednesday";
        $daytextl[5] = $langcfg["wdnl4"]; //"Thursday";
        $daytextl[6] = $langcfg["wdnl5"]; //"Friday";
        $daytextl[7] = $langcfg["wdnl6"]; //"Saturday";
    }
    
        $evddt[1] = $langcfg["wdns1"]; //"Mon";
        $evddt[2] = $langcfg["wdns2"]; //"Tue";
        $evddt[3] = $langcfg["wdns3"]; //"Wed";
        $evddt[4] = $langcfg["wdns4"]; //"Thu";
        $evddt[5] = $langcfg["wdns5"]; //"Fri";
        $evddt[6] = $langcfg["wdns6"]; //"Sat";
        $evddt[7] = $langcfg["wdns7"]; //"Sun";
        $evddtl[1] = $langcfg["wdnl1"]; //"Monday";
        $evddtl[2] = $langcfg["wdnl2"]; //"Tuesday";
        $evddtl[3] = $langcfg["wdnl3"]; //"Wednesday";
        $evddtl[4] = $langcfg["wdnl4"]; //"Thursday";
        $evddtl[5] = $langcfg["wdnl5"]; //"Friday";
        $evddtl[6] = $langcfg["wdnl6"]; //"Saturday";
        $evddtl[7] = $langcfg["wdnl7"]; //"Sunday";
    
    
    $monthtext[1] = $langcfg["mns1"]; //"Jan";
    $monthtext[2] = $langcfg["mns2"]; //"Feb";
    $monthtext[3] = $langcfg["mns3"]; //"Mar";
    $monthtext[4] = $langcfg["mns4"]; //"Apr";
    $monthtext[5] = $langcfg["mns5"]; //"May";
    $monthtext[6] = $langcfg["mns6"]; //"Jun";
    $monthtext[7] = $langcfg["mns7"]; //"Jul";
    $monthtext[8] = $langcfg["mns8"]; //"Aug";
    $monthtext[9] = $langcfg["mns9"]; //"Sep";
    $monthtext[10] = $langcfg["mns10"]; //"Oct";
    $monthtext[11] = $langcfg["mns11"]; //"Nov";
    $monthtext[12] = $langcfg["mns12"]; //"Dec";
    
    $monthtextl[1] = $langcfg["mnl1"]; //"January";
    $monthtextl[2] = $langcfg["mnl2"]; //"February";
    $monthtextl[3] = $langcfg["mnl3"]; //"March";
    $monthtextl[4] = $langcfg["mnl4"]; //"April";
    $monthtextl[5] = $langcfg["mnl5"]; //"May";
    $monthtextl[6] = $langcfg["mnl6"]; //"June";
    $monthtextl[7] = $langcfg["mnl7"]; //"July";
    $monthtextl[8] = $langcfg["mnl8"]; //"August";
    $monthtextl[9] = $langcfg["mnl9"]; //"September";
    $monthtextl[10] = $langcfg["mnl10"]; //"October";
    $monthtextl[11] = $langcfg["mnl11"]; //"November";
    $monthtextl[12] = $langcfg["mnl12"]; //"December";

}


function getcurlang($langsel) {
    global $langcfg;


    $gltab = $GLOBALS["gltab"]; //$tabpre."_languages";
    $sqlstr = "select name from $gltab where uid=$langsel";
    $qu_res = mysql_query($sqlstr) or die("Cannot query global language Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
/*    if (mysql_error()) {
        $error = mysql_error();
        sqlerror($error, __LINE__, "$erfilename Cannot query Global Language Database", $sqlstr);
    }    
*/
    $qu_num = @mysql_num_rows($qu_res);
    if (mysql_error()) {
        $error = mysql_error();
        sqlerror($error, __LINE__, "$erfilename Cannot query Global Language Database", $sqlstr);
    }    
    if($qu_num == 1) {
        $rs_lang = mysql_fetch_array($qu_res);
        $langtab = $GLOBALS["tabpre"]."_lang_".$rs_lang["name"];
        $sqlstr = "select * from ".$langtab;
        $query1 = mysql_query($sqlstr) or die("Cannot query Language Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
        while($row = mysql_fetch_array($query1)) {
            $langcfg[$row["keyid"]] = ($row["phrase"]);
        }
        mysql_free_result($query1);
        mysql_free_result($qu_res);
    } else {
        die("Cannot query Language Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr);    
    }
    
}


function getuserstandards($cuser) {
    global $curcalcfg,$csectcnt;
    $curcalcfg = array();
    $csectcnt = array();

//    $sqlstr = "select * from ".$GLOBALS["tabpre"]."_cal_ini where calid = '".$cuser->gsv("curcalid")."' and calname = '".$cuser->gsv("curcalname")."' and userid = ".$cuser->gsv("cuid");
//    $sqlstr = "select * from ".$GLOBALS["tabpre"]."_cal_ini where calid = '".$cuser->gsv("curcalid")."' and calname = '".$cuser->gsv("curcalname")."'";
    $sqlstr = "select * from ".$GLOBALS["tabpre"]."_cal_ini where calid = '".$cuser->gsv("curcalid")."'";
    $query1 = mysql_query($sqlstr) or die("Cannot query Calendar Config Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
    $res_query1 = @mysql_num_rows($query1) ;
    if(mysql_error()) {
        die("Cannot query Calendar Config Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr);    
    }
    if($res_query1 == 1) {

        $query2 = mysql_query($sqlstr) or die("Cannot query Calendar Config Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
        $res_query2 = @mysql_num_rows($query2) ;
        if(mysql_error()) {
            die("Cannot query Calendar Config Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr);    
        }

    	$row = mysql_fetch_array($query2) or die("Cannot query Calendar Config Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr);

        $i = 0;
        
        while ($i < mysql_num_fields($query1)) {
            $meta = mysql_fetch_field($query1);
            $fname = $meta->name; 
            $curcalcfg["$fname"] = ($row["$fname"]);
            $xcsnt = substr($fname,0,2);
//            if(array_key_exists($xcsnt, $csectcnt)) {
                $csectcnt[$xcsnt]++;
//            } else {
//                $csectcnt[$xcsnt] = 1;
//            }
//            print $xcsnt.": ".$csectcnt[$xcsnt]."<br>";

            // Trick, used to create language entries he he he.
//            print "INSERT INTO `clw_lang_English` VALUES ('', '".$fname."', 'temp', 'Calendar Setup Form');<br>\n";
            
            $i++;
        }
        
        mysql_free_result($query1);
        mysql_free_result($query2);
        
//        exit();
        
    } else {
        die("There was an error while getting Calander Settings<br><br>SQL String: ".$sqlstr."<br><br>This could mean your calendar has been deleted or the user name you are using has been deleted.<br><br>
It could also mean your session has gone bad. Please close your browser, open a new browser window and then logon to CaLogic.<br><br>If the problem persists, please contact the Admin.<br><br>
<a href=\"".$GLOBALS["idxfile"]."?endsess=1\">Click here to continue</a>");
    }
}


function getcalvals($xcalid) {
    $calvals = array();

    $sqlstr = "select * from ".$GLOBALS["tabpre"]."_cal_ini where calid = '".$xcalid."'";
    $query1 = mysql_query($sqlstr) or die("Cannot query Calendar Config Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
    $res_query1 = @mysql_num_rows($query1) ;
    if(mysql_error()) {
        die("Cannot query Calendar Config Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr);    
    }
    if($res_query1 == 1) {

        $query2 = mysql_query($sqlstr) or die("Cannot query Calendar Config Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
        $res_query2 = @mysql_num_rows($query2) ;
        if(mysql_error()) {
            die("Cannot query Calendar Config Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr);    
        }

    	$row = mysql_fetch_array($query2) or die("Cannot query Calendar Config Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr);

        $i = 0;
        
        while ($i < mysql_num_fields($query1)) {
            $meta = mysql_fetch_field($query1);
            $fname = $meta->name; 
            $calvals["$fname"] = ($row["$fname"]);
            $i++;
        }
        
        mysql_free_result($query1);
        mysql_free_result($query2);

    } else {
        die("There is an error in the Calendar Config Table<br><br>SQL String: ".$sqlstr);
    }
    return $calvals;
}

function regresend($fname,$lname,$email,$uname,$slanguage,$key) {


# new method

    $regmail = new htmlMimeMail();
    
    $regmbody="<HTML><BODY>Hello $fname $lname,<br><br>You just registered with the CaLogic Calendar application running at
    ".$GLOBALS["sitetitle"]." (".$GLOBALS["baseurl"].$GLOBALS["progdir"].") <br><br>
    Please click the link below to confirm your registraton:<br><br><a href=\"".$GLOBALS["baseurl"].$GLOBALS["progdir"]."confirmreg.php?key=$key\" target=\"_blank\">
    Confirm Registration</a><br><br>Or copy and paste this address to your browser:<br><br>".$GLOBALS["baseurl"].$GLOBALS["progdir"]."confirmreg.php?key=$key<br><br>";
    if($GLOBALS["forcedefaultcal"] == 1) {
        $regmbody.="After confirming, you may begin using the calendar.";
    } else {
        $regmbody.="After confirming, you may begin configuring a Calendar to your likings.";
    } 
    $regmbody.="<br><br>
    I hope you enjoy working with the calendar, and wish you much success. Information given by you:<br><br>
    <b>User Name: </B>$uname<br><B>First Name:  </B>$fname<br><B>Last Name: </B> $lname<br><B>Language Selection:
    </B>$slanguage<br><br>For security reasons, your password has not been sent with this mail.<br><br>
    If you experience problems with the calendar, please let me know. <br><br>
    Thank you and best regards<br><br>".$GLOBALS["siteowner"]."<br></body></html>";
    
$regmtext="Hello $fname $lname,\n\nYou just registered with the CaLogic Calendar application running at ".$GLOBALS["sitetitle"]." (
".$GLOBALS["baseurl"].$GLOBALS["progdir"].") \n\nTo confirm your registraton, please copy and paste this URL to your browser:\n\n
".$GLOBALS["baseurl"].$GLOBALS["progdir"]."confirmreg.php?key=$key\n\n";
if($GLOBALS["forcedefaultcal"] == 1) {
    $regmtext.="After confirming, you may begin using the calendar.";
} else {
    $regmtext.="After confirming, you may begin configuring a Calendar to your likings.";
} 
$regmtext.="\n\nI hope you enjoy working with the calendar, and wish you much success. \n\nInformation given by you:\n\n
User Name: $uname\nFirst Name:  $fname\nLast Name: $lname\nLanguage Selection:  $slanguage\n\n
For security reasons, your password has not been sent with this mail.\n\nIf you experience problems with the calendar,
please let me know. \n\nThank you and best regards\n\n".$GLOBALS["siteowner"]."\n";

#    $regmtext="Hello $fname $lname,\n\nYou just registered with the CaLogic Calendar application running at ".$GLOBALS["sitetitle"]." (".$GLOBALS["baseurl"].$GLOBALS["progdir"].") \n\nTo confirm your registraton, please copy and paste this URL to your browser:\n\n".$GLOBALS["baseurl"].$GLOBALS["progdir"]."confirmreg.php?key=$key\n\nAfter confirming, you may begin configuring a Calendar to your likings.\n\nI hope you enjoy working with the calendar, and wish you much success. \n\nInformation given by you:\n\nUser Name: $uname\nFirst Name:  $fname\nLast Name: $lname\nLanguage Selection:  $slanguage\n\nFor security reasons, your password has not been sent with this mail.\n\nIf you experience problems with the calendar, please let me know. \n\nThank you and best regards\n\n".$GLOBALS["siteowner"]."\n";
    
    $regsub = "CaLogic Registration Confirmation";
    $siteowner=$GLOBALS["siteowner"];
    $adminemail=$GLOBALS["adminemail"];

    if($GLOBALS["mailastext"]==0) {
        $regmail->setHtml($regmbody, $regmtext);
    } else {
        $regmail->setText($regmtext);
    }
    
    $regmail->setSubject($regsub);

    if($GLOBALS["uniem"] == 1) {
        $toadr="$fname $lname <$email>";
        $fromadr="$siteowner <$adminemail>";
    } else {
        $toadr="$email";
        $fromadr="$adminemail";
    }

    $regmail->setFrom($fromadr);
    
    if($GLOBALS["mailtype"]=="sendmail") {
        $result = $regmail->send(array($toadr));
    } else {
        if(strlen($GLOBALS["smtpuser"])>0) {
            $emauth = true;
            $emuser = $GLOBALS["smtpuser"];
            $empass = $GLOBALS["smtppass"];
        } else {
            $emauth=false;
            $emuser = "";
            $empass = "";
        }
            
        $regmail->setSMTPParams($GLOBALS["smtphost"],$GLOBALS["smtpport"],$emauth,$emuser,$empass);
        $result = $regmail->send(array($toadr),'smtp');
    }

    if($GLOBALS["sadmmail"]==1) {

        if($GLOBALS["uniem"] == 1) {
            $toadr="CaLogic Administrator <$adminemail>";
            $fromadr="CaLogic Web Site <$adminemail>";
        } else {
            $toadr="$adminemail";
            $fromadr="$adminemail";
        }
    
        $regmail->setFrom($fromadr);

        $regmail->setSubject("A new user has just been resent the confirmation email from ".$GLOBALS["sitetitle"]);
        
$regmtext="Here is a copy of the mail sent to the new user:\n\n\nHello $fname $lname,\n\nYou just registered with the CaLogic Calendar application running at ".$GLOBALS["sitetitle"]." (
".$GLOBALS["baseurl"].$GLOBALS["progdir"].") \n\nTo confirm your registraton, please copy and paste this URL to your browser:\n\n
".$GLOBALS["baseurl"].$GLOBALS["progdir"]."confirmreg.php?key=$key\n\n";
if($GLOBALS["forcedefaultcal"] == 1) {
    $regmtext.="After confirming, you may begin using the calendar.";
} else {
    $regmtext.="After confirming, you may begin configuring a Calendar to your likings.";
} 
$regmtext.="\n\nI hope you enjoy working with the calendar, and wish you much success. \n\nInformation given by you:\n\n
User Name: $uname\nFirst Name:  $fname\nLast Name: $lname\nLanguage Selection:  $slanguage\n\n
For security reasons, your password has not been sent with this mail.\n\nIf you experience problems with the calendar,
please let me know. \n\nThank you and best regards\n\n".$GLOBALS["siteowner"]."\n";
        $regmail->setText($regmtext);
#        $regmail->setBcc($fromadr);
        
        $regmail->buildMessage();
        
        if($GLOBALS["mailtype"]=="sendmail") {
            $result = $regmail->send(array($toadr));
        } else {
            if(strlen($GLOBALS["smtpuser"])>0) {
                $emauth = true;
                $emuser = $GLOBALS["smtpuser"];
                $empass = $GLOBALS["smtppass"];
            } else {
                $emauth=false;
                $emuser = "";
                $empass = "";
            }
                
            $regmail->setSMTPParams($GLOBALS["smtphost"],$GLOBALS["smtpport"],$emauth,$emuser,$empass);
            $result = $regmail->send(array($toadr),'smtp');
        }

    }


# old method
/*
    if($GLOBALS["mailastext"]==0) {
    
#        $regmail = new html_mime_mail('X-Mailer: Html Mime Mail Class');
        $regmail = new htmlMimeMail();
        
        $regmbody="<HTML><BODY>Hello $fname $lname,<br><br>You just registered with the CaLogic Calendar application running at ".$GLOBALS["sitetitle"]." (".$GLOBALS["baseurl"].") <br><br>Please click the link below to confirm your registraton:<br><br><a href=\"".$GLOBALS["baseurl"].$GLOBALS["progdir"]."confirmreg.php?key=$key\" target=\"_blank\">Confirm Registration</a><br><br>Or copy and paste this address to your browser:<br><br>".$GLOBALS["baseurl"].$GLOBALS["progdir"]."confirmreg.php?key=$key<br><br>After confirming, you may begin configuring a Calendar to your likings.<br><br>I hope you enjoy working with the calendar, and wish you much success. Information given by you:<br><br><b>User Name: </B>$uname<br><B>First Name:  </B>$fname<br><B>Last Name: </B> $lname<br><B>Language Selection:  </B>$slanguage<br><br>For security reasons, your password has not been sent with this mail.<br><br>If you experience problems with the calendar, please let me know. <br><br>Thank you and best regards<br><br>".$GLOBALS["siteowner"]."<br></body></html>";
        $regmtext="Hello $fname $lname,\n\nYou just registered with the CaLogic Calendar application running at ".$GLOBALS["sitetitle"]." (".$GLOBALS["baseurl"].$GLOBALS["progdir"].") \n\nTo confirm your registraton, please copy and paste this URL to your browser:\n\n".$GLOBALS["baseurl"].$GLOBALS["progdir"]."confirmreg.php?key=$key\n\nAfter confirming, you may begin configuring a Calendar to your likings.\n\nI hope you enjoy working with the calendar, and wish you much success. \n\nInformation given by you:\n\nUser Name: $uname\nFirst Name:  $fname\nLast Name: $lname\nLanguage Selection:  $slanguage\n\nFor security reasons, your password has not been sent with this mail.\n\nIf you experience problems with the calendar, please let me know. \n\nThank you and best regards\n\n".$GLOBALS["siteowner"]."\n";

        $regmail->setHtml($regmbody, $regmtext);
        $regmail->setSubject("CaLogic Registration Confirmation");

#        $regmail->add_html($regmbody, '');
#        $regmail->set_charset('iso-8859-1', TRUE);
#        $regmail->build_message();
        $siteowner=$GLOBALS["siteowner"];
        $adminemail=$GLOBALS["adminemail"];
        //$mail->send('TO NAME', 'TO ADDRESS', 'FROM NAME', 'FROM ADDRESS', 'SUBJECT LINE');
        if($GLOBALS["uniem"] == 1) {
            $regmail->send("$fname $lname", "$email", "$siteowner", "$adminemail", "CaLogic Registration Confirmation");
        } else {
            $regmail->send("", "$email", "", "$adminemail", "CaLogic Registration Confirmation");
        }
        
	$mail->setFrom('Joe <joe@example.com>');
	$result = $mail->send(array('"Richard" <postmaster@localhost>'));
        
    } else {
    
        $regmbody="Hello $fname $lname,\n\nYou just registered with the CaLogic Calendar application running at ".$GLOBALS["sitetitle"]." (".$GLOBALS["baseurl"].$GLOBALS["progdir"].") \n\nTo confirm your registraton, please copy and paste this URL to your browser:\n\n".$GLOBALS["baseurl"].$GLOBALS["progdir"]."confirmreg.php?key=$key\n\nAfter confirming, you may begin configuring a Calendar to your likings.\n\nI hope you enjoy working with the calendar, and wish you much success. \n\nInformation given by you:\n\nUser Name: $uname\nFirst Name:  $fname\nLast Name: $lname\nLanguage Selection:  $slanguage\n\nFor security reasons, your password has not been sent with this mail.\n\nIf you experience problems with the calendar, please let me know. \n\nThank you and best regards\n\n".$GLOBALS["siteowner"]."\n";
        if($GLOBALS["uniem"] == 1) {
            mail("$fname $lname <$email>", "CaLogic Registration Confirmation", $regmbody,"From: $siteowner <$adminemail>");
        } else {
            mail("$email", "CaLogic Registration Confirmation", $regmbody,"From: $adminemail");
        }
    
    }


    $mailbody = "Hello $fname $lname,\n\nYou just registered with the CaLogic Calendar application running at ".$GLOBALS["sitetitle"]." (".$GLOBALS["baseurl"].$GLOBALS["progdir"].") \n\nTo confirm your registraton, please copy and paste this URL to your browser:\n\n".$GLOBALS["baseurl"].$GLOBALS["progdir"]."confirmreg.php?key=$key\n\nAfter confirming, you may begin configuring a Calendar to your likings.\n\nI hope you enjoy working with the calendar, and wish you much success. \n\nInformation given by you:\n\nUser Name: $uname\nFirst Name:  $fname\nLast Name: $lname\nLanguage Selection:  $slanguage\n\nFor security reasons, your password has not been sent with this mail.\n\nIf you experience problems with the calendar, please let me know. \n\nThank you and best regards\n\n".$GLOBALS["siteowner"]."\n";
    sysmail($adminemail,$email,"CaLogic Registration Confirmation",$mailbody);


*/


}

function senddelmail($fname,$lname,$email,$uname) {
/*
    if($GLOBALS["mailastext"]==0) {
    
        $delmail = new html_mime_mail('X-Mailer: Html Mime Mail Class');
        $delmbody="<HTML><BODY>Hello $fname $lname,<br><br>Your User Profile has been deleted from ".$GLOBALS["sitetitle"]." (".$GLOBALS["baseurl"].") <br><br>If you want to find out why, send me an E-Mail asking so.<br><br>".$GLOBALS["siteowner"]."<br></body></html>";
        $delmail->add_html($delmbody, '');
        $delmail->set_charset('iso-8859-1', TRUE);
        $delmail->build_message();
        $siteowner=$GLOBALS["siteowner"];
        $adminemail=$GLOBALS["adminemail"];
        //$mail->send('TO NAME', 'TO ADDRESS', 'FROM NAME', 'FROM ADDRESS', 'SUBJECT LINE');
        if($GLOBALS["uniem"] == 1) {
            $delmail->send("$fname $lname", "$email", "$siteowner", "$adminemail", "CaLogic User Deletion");
        } else {
            $delmail->send("", "$email", "", "$adminemail", "CaLogic User Deletion");
        }
    } else {
        $delmbody="Hello $fname $lname,\n\nYour User Profile has been deleted from ".$GLOBALS["sitetitle"]." (".$GLOBALS["baseurl"].") \n\nIf you want to find out why, send me an E-Mail asking so.\n\n".$GLOBALS["siteowner"]."\n";
        if($GLOBALS["uniem"] == 1) {
            mail("$fname $lname <$email>", "CaLogic User Deletion", $delmbody,"From: $siteowner <$adminemail>");
        } else {
            mail("$email", "CaLogic User Deletion", $delmbody,"From: $adminemail");
        
        }
    
    }
*/    


    $siteowner=$GLOBALS["siteowner"];
    $adminemail=$GLOBALS["adminemail"];

    $emsub = "CaLogic User Deletion";
    $embody="<HTML><BODY>Hello $fname $lname,<br><br>Your User Profile has been deleted from ".$GLOBALS["sitetitle"]." (".$GLOBALS["baseurl"].") <br><br>If you want to find out why, send me an E-Mail asking so.<br><br>".$GLOBALS["siteowner"]."<br></body></html>";
    $emtext="Hello $fname $lname,\n\nYour User Profile has been deleted from ".$GLOBALS["sitetitle"]." (".$GLOBALS["baseurl"].") \n\nIf you want to find out why, send me an E-Mail asking so.\n\n".$GLOBALS["siteowner"];


    if($GLOBALS["uniem"] == 1) {
        $toadr="$fname $lname <$email>";
        $fromadr="$siteowner <$adminemail>";
    } else {
        $toadr="$email";
        $fromadr="$adminemail";
    }
    
    sysmail($toadr,$fromadr,$emsub,$embody,$emtext);

    if($GLOBALS["sadmmail"]==1) {
        if($GLOBALS["uniem"] == 1) {
            $toadr="$siteowner <$adminemail>";
            $fromadr="CaLogic web site <$adminemail>";
        } else {
            $toadr="$adminemail";
            $fromadr="$adminemail";
        }

        $emsub = "System email - CaLogic User Deletion";
        $embody="<HTML><BODY>Here is a copy of the mail sent to: $toadr<br><br>Hello $fname $lname,<br><br>Your User Profile has been deleted from ".$GLOBALS["sitetitle"]." (".$GLOBALS["baseurl"].") <br><br>If you want to find out why, send me an E-Mail asking so.<br><br>".$GLOBALS["siteowner"]."<br></body></html>";
        $emtext="Here is a copy of the mail sent to: $toadr\n\nHello $fname $lname,\n\nYour User Profile has been deleted from ".$GLOBALS["sitetitle"]." (".$GLOBALS["baseurl"].") \n\nIf you want to find out why, send me an E-Mail asking so.\n\n".$GLOBALS["siteowner"];
        sysmail($toadr,$fromadr,$emsub,$embody,$emtext);
    }


}

function sysmail($emto,$emfrom,$emsub,$embody,$emtext) {
    
#ini_set("error_reporting","E_ALL");

    $mksmail = new htmlMimeMail();

#print "amhere";

    if($GLOBALS["mailastext"]==0) {
        $mksmail->setHtml($embody, $emtext);
    } else {
        $mksmail->setText($emtext);
    }
    $mksmail->setSubject($emsub);
    $mksmail->setFrom($emfrom);
    
    if($GLOBALS["mailtype"]=="sendmail") {
        $result = $mksmail->send(array($emto));
    } else {
        if(strlen($GLOBALS["smtpuser"])>0) {
            $emauth = true;
            $emuser = $GLOBALS["smtpuser"];
            $empass = $GLOBALS["smtppass"];
        } else {
            $emauth=false;
            $emuser = "";
            $empass = "";
        }
            
        $mksmail->setSMTPParams($GLOBALS["smtphost"],$GLOBALS["smtpport"],$emauth,$emuser,$empass);
        $result = $mksmail->send(array($emto),'smtp');
    }
#ini_set("error_reporting","E_COMPILE_ERROR|E_ERROR|E_CORE_ERROR|E_CORE_WARNING|E_PARSE");
}


function langeditor($seledlang,$uobj) {
    global $curcalcfg;
    global $langcfg;

    $htmltrans = get_html_translation_table(HTML_ENTITIES,ENT_QUOTES);
    $transhtml = array_flip($htmltrans);
    
    $sqlstr = "select * from ".$GLOBALS["tabpre"]."_lang_".$seledlang." order by uid";
    $query1 = mysql_query($sqlstr) or die("Cannot query Language Table<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
        
?>
<head>
<title><?php print $langcfg["edlang"]; ?></title>
<style type="text/css">
<!--
body          {font-family: helvetica, arial, geneva, sans-serif; font-size: small; color: #000000}
pre, tt       {font-size: small}
th            {font-family: helvetica, arial, geneva, sans-serif; font-size: small; font-weight: bold; background-color: #D3DCE3}
td            {font-family: helvetica, arial, geneva, sans-serif; font-size: small}
form          {font-family: helvetica, arial, geneva, sans-serif; font-size: small}
input         {font-family: helvetica, arial, geneva, sans-serif; font-size: small; color: #000000}
select        {font-family: helvetica, arial, geneva, sans-serif; font-size: small; color: #000000}
textarea      {font-family: helvetica, arial, geneva, sans-serif; font-size: small; color: #000000}
//-->
</style>
</head>
<body bgcolor="#F5F5F5" >
<h1><?php print $langcfg["edlt1"]; ?> <?php print "$seledlang"; ?> <?php print $langcfg["edltt"]; ?></h1>

<form method="<?php print $GLOBALS["postorget"]; ?>" action="<?php print $GLOBALS["idxfile"]; ?>">
<input type="hidden" name="seledlang" value="<?php print $seledlang; ?>">
<?php
$rcnt=1;
$ccnt=1;
while($row = mysql_fetch_array($query1)) {
    if($ccnt==1) {
        $ccnt=2;
        $rcolor="#DDDDDD";
    } else {
        $rcolor="#CCCCCC";
        $ccnt=1;
    }
    if($rcnt==1) {
    ?>
  <table border="1" width="100%">
    <tr>
      <th width="33%"><?php print $langcfg["keyidt"]; ?></th>
      <th width="33%"><?php print $langcfg["pht"]; ?></th>
      <th width="34%"><?php print $langcfg["urrh"]; ?></th>
    </tr>
    <?php    
    }
    ?>
    <tr>
      <td width="33%" valign="top" align="center" bgcolor="<?php print "$rcolor"; ?>"><br>
            <input type="text" disabled name="fields[<?php print $row["uid"]; ?>][keyid]" value="<?php print $row["keyid"]; ?>" size="30" maxlength="30" />
            <input type="hidden" name="prev_fields[<?php print $row["uid"]; ?>][keyid]" value="<?php print $row["keyid"]; ?>" />
      </td>
      <td width="33%" valign="top" align="center" bgcolor="<?php print "$rcolor"; ?>">
            <textarea name="fields[<?php print $row["uid"]; ?>][phrase]" rows="7" cols="40"><?php print strtr(($row["phrase"]),$htmltrans); ?></textarea>
            <input type="hidden" name="prev_fields[<?php print $row["uid"]; ?>][phrase]" value="<?php print strtr(($row["phrase"]),$htmltrans); ?>" />
      </td>
      <td width="34%" valign="top" align="center" bgcolor="<?php print "$rcolor"; ?>"><br>
            <input type="text" name="fields[<?php print $row["uid"]; ?>][remark]" value="<?php print strtr(($row["remark"]),$htmltrans); ?>" size="40" maxlength="254" />
            <input type="hidden" name="prev_fields[<?php print $row["uid"]; ?>][remark]" value="<?php print strtr(($row["remark"]),$htmltrans); ?>" />
      </td>
    </tr>
    <?php    
    $rcnt++;
    if($rcnt==10) {
        $rcnt=1;
        ?>
        <tr><td width="100%" valign="top" align="center" colspan="3"><br>
        <input type="submit" value="<?php print $langcfg["butsavech"]; ?>" name="savelang">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="reset" value="<?php print $langcfg["butpv"]; ?>" name="canclechanges">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="submit" value="<?php print $langcfg["leaved"]; ?>" name="leaveeditor">  
        </td></tr>
        </table><br>
        <?php    
    }
}
if($rcnt<>1) {
?>
  <tr><td width="100%" valign="top" align="center" colspan="3"><br>
  <input type="submit" value="<?php print $langcfg["butsavech"]; ?>" name="savelang">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="reset" value="<?php print $langcfg["butpv"]; ?>" name="canclechanges">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="submit" value="<?php print $langcfg["leaved"]; ?>" name="leaveeditor">  
  </td></tr>
  </table><br>
<?php    
}
?>
</form>
<?php
print "<br><br>";
include_once("./include/footer.php");

    mysql_free_result($query1);
    exit();
}?>