<?php
/*
CaLogic
Copyright (c) Philip Boone.
philip@calogic.de
*/

//asdbg_break();

ini_set("error_reporting","E_COMPILE_ERROR|E_ERROR|E_CORE_ERROR|E_CORE_WARNING|E_PARSE");

$servertzos = ((date("Z") / 60) / 60);
if($servertzos > 0) {
    $servertzos = "+$servertzos";
} elseif($servertzos < 0) {
    $servertzos = "$servertzos";
}


include_once("./include/config.php");
include_once("./include/session.php");
include_once("./include/dbfunc.php");
include_once("./include/calfunc.php");
include_once("./include/calsetup.php");
include_once("./include/gfunc.php");


if(!isset($PHPSESSID)) {
    srand((double)microtime()*1000000);
    $xsesid = md5(uniqid(rand()));
} else {
    $xsesid = $PHPSESSID ;
}

/***************************************************************
**  clsession is the session class
***************************************************************/ 
$user = new clsession($xsesid);

/***************************************************************
**  this sets the current or selected language, it must be here
    because a user can select a language before logging in on the
    login page
***************************************************************/ 
if (!isset($langsel)) {
    $user->ssv("langsel","$standardlang");
} else {
    $user->ssv("langsel","$langsel");
}
$langsel = $user->gsv("langsel");
getcurlang($langsel);


if($user->gsv("isadmin")==1) {

//include("./include/setuptab.php");

setup_head();

switch ($setup_step) {

	case "3":
        setup_step3();
        print "<br><br>Reconfig finished.<br><br>Please close this window.<br><br>";
		break;
	default:
        setup_calg();
}

setup_foot();

#print "<br><br>";
#print $rootpath."<br>";
#print $pathlen."<br>";
#print $modpath."<br>";

exit();

} else {
    
    
    # not admin!!!
    
?>

    <html>
    <head>
    <title>CaLogic Calendars</title>

<body>

<h1>you are not the Administrator!<h1>
</body>
</html>
<?php
exit();

}

function setup_head() {

    ?>

    <html>
    <head>
    <title>CaLogic Calendars - Configure</title>
    
    <SCRIPT ID=clientEventHandlersJS LANGUAGE=javascript>
    <!--

    var ferr = false;
    
   
    function calgsetup_onsubmit() {
    	calgsetup.siteowner.value = trim(calgsetup.siteowner.value);
    	calgsetup.adminemail.value = trim(calgsetup.adminemail.value);
    	calgsetup.baseurl.value = trim(calgsetup.baseurl.value);
        if(calgsetup.siteowner.value == "") {
            alert("You must enter a Site Owner Name!");
            return false;
        } 
        if(calgsetup.adminemail.value == "") {
            alert("You must enter an Admin Email!");
            return false;
        } 

        if(calgsetup.baseurl.value == "") {
            alert("You must enter base URL!");
            return false;
        } 
        if(calgsetup.allowopen.value == 0 && calgsetup.allowpublic.value == 0 && calgsetup.allowprivate.value == 0) {
            alert("At least one type of Calendar must be enabled!");
            return false;
        }
        if(calgsetup.allowdv.value == 0 && calgsetup.allowwv.value == 0 && calgsetup.allowmv.value == 0 && calgsetup.allowyv.value == 0) {
            alert("At least one type of View must be enabled!");
            return false;
        } 
        return true;
    }
    
    
    function trim(value) {
     startpos=0;
     while((value.charAt(startpos)==" ")&&(startpos<value.length)) {
       startpos++;
     }
     if(startpos==value.length) {
       value="";
     } else {
       value=value.substring(startpos,value.length);
       endpos=(value.length)-1;
       while(value.charAt(endpos)==" ") {
         endpos--;
       }
       value=value.substring(0,endpos+1);
     }
     return(value);
    }

    //-->
    </SCRIPT>

    </head>
    
    <body background="<?php print "./img/stonbk.jpg"; ?>">
    <h1>CaLogic Calendars - Configure</h1>
    This configuration runs in its own window. To cancle, simply close the window.<br>
<?php

}

function setup_foot() {

    // Please do not remove this information
    // I worked a lot of long hard hours on this program
    // give credit where credit is due.
    print "<center>";
    print "<table border=\"0\" width=\"50%\">\n";
    print "<tr>\n";
    print "<td width=\"33%\" align=\"center\">";
    print "<A class=\"gcprevlink\" target=\"_blank\" href=\"http://sourceforge.net \">
    <IMG src=\"./img/sf_logo.bmp\" width=\"125\" height=\"37\" border=\"0\" alt=\"SourceForge Logo\"></A>";
    print "<td width=\"33%\" align=\"center\" nowrap>
    <a title=\"Visit the Home of CaLogic!\" target=\"_blank\" class=\"gcprevlink\" href=\"http://www.calogic.de \">
    <font size=\"-1\">CaLogic Calendars V".$GLOBALS["calogicversion"]."</font></a><br>
    <a title=\"EMail the author!\" target=\"_blank\" class=\"gcprevlink\" href=\"mailto:philip@calogic.de\">
    <font size=\"-1\">&#xA9; Philip Boone</font></a></td>\n";
    print "<td width=\"34%\" align=\"center\">
    <a target=\"_blank\" class=\"gcprevlink\" href=\"http://www.mysql.com \">
    <img border=\"1\" width=\"125\" height=\"37\" src=\"./img/mysql_logo.png\" alt=\"MySQL Logo\"></a></td>\n";
    print "</tr>\n";
    print "</table>\n";
    print "<a target=\"_blank\" class=\"gcprevlink\" href=\"http://www.php.net \">
    <img border=\"1\" src=\"./img/php_logo2.gif\" alt=\"PHP Logo\"></a></td>\n";
    print "</center></body>\n";
    print "</html>\n";
    
#    exit();
}

function setup_step3() {

global $fields,$tabpre,$calogicversion,$servertzos;

#        $sqlstr = "delete from ".$GLOBALS["tabpre"]."_setup";
        
#        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);

        $sqlstr = "update ".$tabpre."_setup set ";
        
        foreach($fields as $k1 => $v1) {
            $sqlstr .= "$k1='$v1',";
        }
        
        $sqlstr .= "calogicversion='$calogicversion'";
/*
        $sqlstr = "INSERT INTO ".$GLOBALS["tabpre"]."_setup VALUES
        ('".$fields["siteowner"]."', 
        '".$fields["adminemail"]."',
        '".$fields["sitetitle"]."',
        '".$fields["baseurl"]."',
        '".$fields["progdir"]."', 
        1, 'English',
        ".$fields["sitetype"].",
        ".$fields["publicview"].",
        ".$fields["usercustom"].",
        '".$fields["mailtype"]."',
        ".$fields["mailformat"].",
        '".$fields["formtype"]."',
        ".$fields["uniem"].", 
        ".$fields["sadmmail"].",
        '".$fields["headpic"]."',
        '".$fields["footpic"]."',
        ".$fields["adsid"].",1,
        ".$fields["withesb"].",
        ".$fields["withwvesb"].",
        ".$fields["withdvesb"].",
        ".$fields["showomd"].",
        ".$fields["showwvtime"].",
        ".$fields["showdvtime"].",
        ".$fields["demomode"].", 
        '".$fields["standardbgimg"]."',
        ".$servertzos.",
        ".$fields["allowopen"].",
        ".$fields["allowpublic"].", 
        ".$fields["allowprivate"].",
        ".$fields["allowreminders"].",
        '".$calogicversion."')";
*/        
        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
        
        // --------------------------------------------------------
        
    if($fields["publicview"] == 1 && $curpubview == 0){

        $sqlstr = "delete from ".$tabpre."_user_reg where uname='Guest'";
        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
    
        $sqlstr = "delete from ".$tabpre."_cal_ini where calid=-1";
        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);

        $regtime = time();
        
        $xmdpw = md5("Guest"); 
        
        $istfadmin = 0;
        
        $sqlstr = "insert into ".$tabpre."_user_reg (uname,fname,lname,email,pw,emok,langid,language,startcalid,startcalname,tzos,regtime,regkey,isadmin) 
        values('Guest','Guest','Guest','guest@dummy.com','$xmdpw',1,1,'English',-1,'Public',0,$regtime,'$key',$istfadmin)";
        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
        
        $sqlstr = "select uid from ".$tabpre."_user_reg where uname='Guest'";
        $query1 = mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
        $row = mysql_fetch_array($query1);
        
        $sqlstr = "INSERT INTO ".$tabpre."_cal_ini VALUES ('','-1', 'Public', ".$row["uid"].", 'Public', 'Public', 0, 1, 'Month', 1, 1, '0600', '1800', 1, './img/stonbk.jpg', '#0000FF', '', 'underline', '#0000FF', '', 'underline', '#0000FF', 'underline', '#FFFF80', '#000000', '#B04040', '#FFFFFF', 'none', '#FFFFFF', '#FF0000', '#80FFFF', '#0000FF', '#FFFF80', '#000000', '#C0C0C0', 'none', '#C0C0C0', '#000000', '#808080', 'none', '#808080', '#0000FF', '#FFFF80', 'none', '#FFFF80', '#000000', '#FFFFFF', 'none', '#FFFFFF', 'Lightpink', '#000000', '#000000', '#B04040', '#FFFFFF', 'none', '#FFFFFF', '#FF0000', '#80FFFF', '#0000FF', '#FFFF80', '#000000', '#C0C0C0', 'none', '#C0C0C0', '#000000', '#808080', 'none', '#808080', '#0000FF', '#FFFF80', 'none', '#FFFF80', '#FFFFFF', 'Lightpink', '#000000', '#000000', '#FF0000', '#80FFFF', '#0000FF', '#FFFF80', '#000000', '#C0C0C0', 'none', '#C0C0C0', '#000000', '#808080', 'none', '#808080', '#0000FF', '#FFFF80', 'none', '#FFFF80', '#000000', '#FFFFFF', 'none', '#FFFFFF', '#B04040', '', 'none', '#000000', '#000000', '#FF0000', '#80FFFF', 'none', '#80FFFF', '#0000FF', '#FFFF80', 'none', '#FFFF80', '#0000FF', '#FFFF80', 'none', '#FFFF80', '#000000', '#008000', '#008000', '#000000', '#C0C0C0', '#C0C0C0', '#000000', '#808080', '#808080', '#000000', '#FFFF80', '#FFFF80', '#000000', '#C0C0C0', '#C0C0C0', '#000000', '#808080', '#808080', '#000000', '#FFFF80', '#FFFF80', '#000000', '#FFFFFF', '#FFFFFF', '#000000', '#000000', '#000000', '#008000', '#008000', '#000000', '#008000', '#008000', '#000000', '#008000', '#008000', '#000000', '#008000', '#008000', '#000000', '#C0C0C0', '#C0C0C0', '#000000', '#808080', '#808080', '#000000', '#FFFF80', '#FFFF80', '#000000', '#FFFFFF', '#FFFFFF')";
        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
        
    } else {
        $sqlstr = "delete from ".$tabpre."_user_reg where uname='Guest'";
        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);
    
        $sqlstr = "delete from ".$tabpre."_cal_ini where calid=-1";
        mysql_query($sqlstr) or die("Cannot execute query<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);

    }
}

function setup_calg() {

global $tabpre,$servertzos,$wroot,$wprogdir;
global $setuptab,$fieldcnt;

            $sqlstr = "select * from ".$tabpre."_setup";
            $query1 = mysql_query($sqlstr) or die("Database setup table error.<br><br>MySQL said: ".mysql_error()."<br><br>SQL String: ".$sqlstr."<br><br>File: ".substr(__FILE__,strrpos(__FILE__,"/"))."<br><br>Line: ".__LINE__.$GLOBALS["errep"]);

/*
            while ($row = mysql_fetch_array($query1)) {
            
                $siteowner = $row["siteowner"];
                $adminemail = $row["email"];
                $sitetitle =  $row["sitetitle"];
                $baseurl =  $row["baseurl"];
                $progdir =  $row["progdir"];
                $standardlang = $row["standardlangid"];
                $standardlangname =  $row["standardlangname"];
                $standardbgimg =  $row["standardbgimg"];
                $servertzos =   $row["servertzos"];
                $allowopen =  $row["allowopen"];
                $allowpublic =  $row["allowpublic"];
                $allowprivate =  $row["allowprivate"];
                $allowreminders = $row["allowreminders"];
                $sitetype =  $row["sitetype "];
                $publicview  = $row["publicview"];
                $usercustom  = $row["usercustom"];
                $mailtype =  $row["mailtype"];
                $mailformat  = $row["mailformat"];
                $formtype =  $row["formtype"];
                $uniem =  $row["uniem"];
                $sadmmail  = $row["sadmmail"];
                $headpic =  $row["headpic"];
                $footpic =  $row["footpic"];
                $adsid =  $row["adsid"];
                $seiyv =  $row["seiyv"];
                $withesb  = $row["withesb"];
                $withwvesb  = $row["withwvesb"];
                $withdvesb  = $row["withdvesb"];
                $showomd =  $row["showomd"];
                $showwvtime  = $row["showwvtime"];
                $showdvtime  = $row["showdvtime"];
                $demomode =  $row["demomode"];
            }
*/
$row = mysql_fetch_array($query1);

/*
echo $row["siteowner"]."<br>";
echo $row["email"]."<br>";
echo $row["sitetitle"]."<br>";
echo $row["baseurl"]."<br>";
echo $row["progdir"]."<br>";
echo $row["standardlangid"]."<br>";
echo $row["standardlangname"]."<br>";
echo $row["standardbgimg"]."<br>";
echo $row["servertzos"]."<br>";
echo $row["allowopen"]."<br>";
echo $row["allowpublic"]."<br>";
echo $row["allowprivate"]."<br>";
echo $row["allowreminders"]."<br>";
*/

for($x=0;$x<$fieldcnt;$x++) {
    if($setuptab[$x][1] != "tabhead") {
        if(!isset($row[$setuptab[$x][1]])) {
           $$setuptab[$x][1] = $setuptab[$x][8];
        } else {
            $$setuptab[$x][1] = $row[$setuptab[$x][1]];
        }
    }
}

?>

    <form method="post" name="calgsetup" id="calgsetup" action="reconfig.php" LANGUAGE=javascript onsubmit="return calgsetup_onsubmit()">

<?php
$inreconfig=1;
include_once("./include/cfgfrm.php");
?>
        <td width="23%" valign="top" align="center">
        <input type="submit" value="Submit" name="sumbit_step3">
        </td>
        <td width="22%" valign="top" align="center">
        <input type="reset" value="Reset">
        </td>
        <td width="55%" valign="top" align="left">
        &nbsp;
        </td>
      </tr>
    </table>
    
    </form>

<?php

}
?>

